<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");

$DB = DatabaseFactory::GetDatabase();
include("include/OtherLinks.php");

// Form handler
if( isset($_POST['action']) )
{
    switch( $_POST['action'] )
    {
        case "AddCredentials":
            $Username = $DB->MakeSafe($_POST['Username']);
            $Password = $DB->MakeSafe($_POST['Password']);
            $NTLM = isset($_POST['NTLM']) ? 1 : 0;
            $Domain = $DB->MakeSafe($_POST['Domain']);
            $Standard = isset($_POST['Standard']) ? 1 : 0;
            $SSH = isset($_POST['SSH']) ? 1 : 0;
            $Success = $DB->ExecuteNonQuery("INSERT INTO [AgentlessCredentials] ([Username],[Password],[NTLM],[Domain],[Standard],[SSH]) VALUES('$Username','$Password',$NTLM,'$Domain',$Standard,$SSH);");
            if( $Success == true )
                $Message = "Credentials added succesfully.";
            else
                $Error = "Unable to add credentials. Reason: " . $DB->LastError();
            break;
        case "EditCredentials":
            $CredentialID = $DB->MakeSafe($_POST['CredentialID']);
            $Username = $DB->MakeSafe($_POST['Username']);
            $Password = $DB->MakeSafe($_POST['Password']);
            $NTLM = isset($_POST['NTLM']) ? 1 : 0;
            $Domain = $DB->MakeSafe($_POST['Domain']);
            $Standard = isset($_POST['Standard']) ? 1 : 0;
            $SSH = isset($_POST['SSH']) ? 1 : 0;
            $Success = $DB->ExecuteNonQuery("UPDATE [AgentlessCredentials] SET [Username]='$Username', [Password]='$Password', [NTLM]=$NTLM, [Domain]='$Domain', [Standard]=$Standard, [SSH]=$SSH WHERE [CredentialID]=$CredentialID");
            if( $Success == true )
                $Message = "Credentials modified successfully.";
            else
                $Error = "Unable to modify credentials. Reason: " . $DB->LastError();
            break;
        case "DeleteCredentials":
            $CredentialID = $DB->MakeSafe($_POST['CredentialID']);
            $Success = $DB->ExecuteNonQuery("DELETE FROM [AgentlessCredentials] WHERE [CredentialID]=$CredentialID");
            if( $Success == true )
                $Message = "Credentials removed successfully.";
            else
                $Error = "Unable to remove credentials. Reason: " . $DB->LastError();
            break;
    }
}
$CredentialsList = $DB->ExecuteQuery("SELECT [CredentialID], [Username], [Password], [NTLM], [Domain], [Standard], [SSH], dbo.NumDevicesUsingCredentials([CredentialID]) AS [DevicesUsing] FROM [AgentlessCredentials]");
$Smarty->assign("CredentialsList",$CredentialsList);

$Smarty->assign("Title","Agentless Credentials");
$Smarty->assign("Breadcrumb",array(
        array("Name"=>"Home","URL"=>"index.php"),
        array("Name"=>"Agentless Credentials","URL"=>"AgentlessCredentials.php"),
    )
);

$Smarty->assign("ExtraJQuery",'
$("#agentless_credentials tbody tr").alternate();

$("#edit_credentials_dialog").dialog({
    autoOpen: false,
    autoSize: true,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        "Save Changes" : function() {
            $("#edit_credentials_form").submit();
         },
         "Cancel" : function() {
            $(this).dialog("close");
         }
    }
});
$("#add_credentials_dialog").dialog({
    autoOpen: false,
    autoSize: true,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        "Save" : function() {
            $("#add_credentials_form").submit();
        },
        "Cancel" : function() {
            $(this).dialog("close");
        }
    }
});
$("#delete_confirm_dialog").dialog({
    autoOpen: false,
    resizable: false,
    autoSize: true,
    modal: true,
    buttons: {
        "Yes, I\'m sure" : function() {
            $("#delete_form").submit();
        },
        "No, I changed my mind" : function() {
            $(this).dialog("close");
        }
    }
});
$("#add_credentials").click(function(){
    $("#add_credentials_dialog").dialog("open");
});
');

$Smarty->assign("ExtraJavaScript","
function editCredentials( credID, username, ntlm, domain, standard, ssh )
{
    $('#edit_CredentialID').val(credID);
    $('#edit_Username').val(username);
    $('#edit_Password').val('...retrieving...');
    $('#edit_Password').attr('disabled','disabled');

    $.post('rest/GetCredentialPassword.php',{ CredentialID: credID }, function( data ) {
        $('#edit_Password').val(data.password);
        $('#edit_Password').attr('disabled','');
    }, 'json');

    if( ntlm == 1)
        $('#edit_NTLM').check('on');
    else
        $('#edit_NTLM').check('off');

    $('#edit_Domain').val(domain);

    if( standard == 1 )
        $('#edit_Standard').check('on');
    else
        $('#edit_Standard').check('off');

    if( ssh == 1 )
        $('#edit_SSH').check('on');
    else
        $('#edit_SSH').check('off');

    $('#edit_credentials_dialog').dialog('open');
}
function confirmDelete( credentialID )
{
    $('#delete_CredentialID').val(credentialID);
    $('#delete_confirm_dialog').dialog('open');
}

function showPassword( credID )
{
    $.post('rest/GetCredentialPassword.php',{ CredentialID: credID }, function(data) {
        if( data.success == true )
        {
            $('#password_'+credID).text(data.password);
            $('#hidepasswd_'+credID).css('visibility','visible').css('display','inline');
            $('#showpasswd_'+credID).css('visibility','hidden').css('display','none');
        }
        else
        {
            $('#password_'+credID).text('Error retrieving password. Reason: ' + data.error);
        }
    },'json');
}
function hidePassword( credID )
{
    $('#password_'+credID).text('hidden');
    $('#showpasswd_'+credID).css('visibility','visible').css('display','inline');
    $('#hidepasswd_'+credID).css('visibility','hidden').css('display','none');
}
");
$Smarty->assign("JSIncludes",array("js/jquery.alternate.min.js"));
$Smarty->assign("Error",isset($Error) ? $Error : "");
$Smarty->assign("Message",isset($Message) ? $Message : "" );
$Smarty->display("AgentlessCredentials.tpl");
?>
