<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");

$DB = DatabaseFactory::GetDatabase();
include("include/OtherLinks.php");

$Smarty->assign("Title","Collectors");
$Smarty->assign("Breadcrumb",array(
        array("Name"=>"Home","URL"=>"index.php"),
        array("Name"=>"Collectors","URL"=>"Collectors.php"),
    )
);

// Form handler
if( isset($_POST['action']) )
{
    switch( $_POST['action'] )
    {
        case "EditCollector":
            $CollectorID = $DB->MakeSafe($_POST['CollectorID']);
            $CollectorName = $DB->MakeSafe($_POST['CollectorName']);
            $WMITable = $DB->MakeSafe($_POST['WMITable']);
            $WhereClause = $DB->MakeSafe($_POST['WhereClause']);
            $Success = $DB->ExecuteNonQuery("UPDATE [Collectors] SET [Name]='$CollectorName', [WMITable]='$WMITable', [WhereClause]='$WhereClause' WHERE [CollectorID]=$CollectorID");
            if( $Success == true )
                $Message = "Collector modified successfully.";
            else
                $Error = "Unable to modify collector. Reason: " . $DB->LastError();
            break;
        case "AddCollector":
            $CollectorName = $DB->MakeSafe($_POST['CollectorName']);
            $WMITable = $DB->MakeSafe($_POST['WMITable']);
            $WhereClause = $DB->MakeSafe($_POST['WhereClause']);
            $Success = $DB->ExecuteNonQuery("INSERT INTO [Collectors] ([Name],[WMITable],[WhereClause]) VALUES('$CollectorName','$WMITable','$WhereClause');");
            if( $Success == true )
                $Message = "Collector added successfully.";
            else
                $Error = "Unable to add collector. Reason: " . $DB->LastError();
            break;
        case "DeleteCollector":
            $CollectorID = $DB->MakeSafe($_POST['CollectorID']);
            $Success = $DB->ExecuteNonQuery("DELETE FROM [Collectors] WHERE [CollectorID] = $CollectorID");
            if( $Success == true )
                $Message = "Collector removed successfully.";
            else
                $Error = "Unable to remove collector. Reason: " . $DB->LastError();
            break;
    }
}
$CollectorsList = $DB->ExecuteQuery("SELECT * FROM [Collectors]");
$Smarty->assign("CollectorsList",$CollectorsList);
$Smarty->assign("ExtraJQuery",'
$("#collectors tbody tr").alternate();
$("#collectors").columnFilters({excludeColumns:[4]});

$("#edit_collector_dialog").dialog({
    autoOpen: false,
    autoSize: true,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        "Save Changes" : function() {
            $("#edit_collector_form").submit();
         },
         "Cancel" : function() {
            $(this).dialog("close");
         }
    }
});
$("#add_collector_dialog").dialog({
    autoOpen: false,
    autoSize: true,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        "Save" : function() {
            $("#add_collector_form").submit();
        },
        "Cancel" : function() {
            $(this).dialog("close");
        }
    }
});
$("#delete_confirm_dialog").dialog({
    autoOpen: false,
    resizable: false,
    autoSize: true,
    modal: true,
    buttons: {
        "Yes, I\'m sure" : function() {
            $("#delete_form").submit();
        },
        "No, I changed my mind" : function() {
            $(this).dialog("close");
        }
    }
});
$("#add_collector").click(function(){
    $("#add_collector_dialog").dialog("open");
});
');

$Smarty->assign("ExtraJavaScript","
function editCollector( id, collName, wmiTable, whereClause )
{
    $('#edit_CollectorID').val(id);
    $('#edit_CollectorName').val(collName);
    $('#edit_WMITable').val(wmiTable);
    $('#edit_WhereClause').val(whereClause);
    $('#edit_collector_dialog').dialog('open');
}
function confirmDelete( id )
{
    $('#delete_CollectorID').val(id);
    $('#delete_confirm_dialog').dialog('open');
}
");
$Smarty->assign("JSIncludes",array("js/jquery.alternate.min.js","js/jquery.columnfilters.js"));
$Smarty->assign("Error",isset($Error) ? $Error : "");
$Smarty->assign("Message",isset($Message) ? $Message : "" );
$Smarty->display("Collectors.tpl");
?>
