<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");

$DB = DatabaseFactory::GetDatabase();
include("include/OtherLinks.php");

// Form handler
if( isset($_POST['action']) )
{
    switch( $_POST['action'] )
    {
        case "AddField":
            $FieldName = $DB->MakeSafe($_POST['FieldName']);
            $Description = $DB->MakeSafe($_POST['Description']);
            $FieldType = $DB->MakeSafe($_POST['FieldType']);
            $PossibleValues = $DB->MakeSafe(str_replace("\n",",",$_POST['PossibleValues']));
            $Success = $DB->ExecuteNonQuery("INSERT INTO [CustomFields] ([FieldName],[Description],[FieldType],[PossibleValues]) VALUES('$FieldName', '$Description','$FieldType','$PossibleValues');");
            if( $Success == true )
                $Message = "Custom field added successfully.";
            else
                $Error = "Unable to add custom field. Reason: " . $DB->LastError();
            break;
        case "EditField":
            $FieldID = $DB->MakeSafe($_POST['CustomFieldID']);
            $FieldName = $DB->MakeSafe($_POST['FieldName']);
            $Description = $DB->MakeSafe($_POST['Description']);
            $FieldType = $DB->MakeSafe($_POST['FieldType']);
            $PossibleValues = $DB->MakeSafe(str_replace("\n",",",$_POST['PossibleValues']));
            $Success = $DB->ExecuteNonQuery("UPDATE [CustomFields] SET [FieldName]='$FieldName', [Description]='$Description', [FieldType]='$FieldType', [PossibleValues]='$PossibleValues' WHERE [CustomFieldID]=$FieldID");
            if( $Success == true )
                $Message = "Custom field modified successfully.";
            else
                $Error = "Unable to modify custom field. Reason: " . $DB->LastError();
            break;
        case "DeleteField":
            $FieldID = $DB->MakeSafe($_POST['CustomFieldID']);
            $Success = $DB->ExecuteNonQuery("DELETE FROM [CustomFields] WHERE [CustomFieldID]=$FieldID");
            if( $Success == true )
                $Message = "Custom field removed successfully.";
            else
                $Error = "Unable to remove custom field. Reason: " . $DB->LastError();
            break;
    }
}
$CustomFieldsList = $DB->ExecuteQuery("SELECT * FROM [CustomFields]");
$Smarty->assign("CustomFieldsList",$CustomFieldsList);

$Smarty->assign("Title","Custom Fields");
$Smarty->assign("Breadcrumb",array(
        array("Name"=>"Home","URL"=>"index.php"),
        array("Name"=>"Custom Fields","URL"=>"CustomFields.php"),
    )
);

$Smarty->assign("ExtraJQuery",'
$("#custom_fields tbody tr").alternate();

$("#edit_field_dialog").dialog({
    autoOpen: false,
    height: 350,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        "Save Changes" : function() {
            $("#edit_field_form").submit();
         },
         "Cancel" : function() {
            $(this).dialog("close");
         }
    }
});
$("#add_field_dialog").dialog({
    autoOpen: false,
    height: 350,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        "Save" : function() {
            $("#add_field_form").submit();
        },
        "Cancel" : function() {
            $(this).dialog("close");
        }
    }
});
$("#delete_confirm_dialog").dialog({
    autoOpen: false,
    resizable: false,
    height: 125,
    modal: true,
    buttons: {
        "Yes, I\'m sure" : function() {
            $("#delete_form").submit();
        },
        "No, I changed my mind" : function() {
            $(this).dialog("close");
        }
    }
});
$("#add_field").click(function(){
    $("#add_field_dialog").dialog("open");
});

$("#add_FieldType").change(function(){
    switch( $(this).val() )
    {
        case "combo":
        case "multiselect":
            $("#add_PossibleValues").attr("disabled","");
            break;
        default:
            $("#add_PossibleValues").attr("disabled","disabled");
            $("#add_PossibleValues").val("");
            break;
    }
});

$("#edit_FieldType").change(function(){
    switch( $(this).val() )
    {
        case "combo":
        case "multiselect":
            $("#edit_PossibleValues").attr("disabled","");
            break;
        default:
            $("#edit_PossibleValues").attr("disabled","disabled");
            $("#edit_PossibleValues").val("");
            break;
    }
});
');

$Smarty->assign("ExtraJavaScript","
function editField( id )
{
    $('#edit_CustomFieldID').val(id);

    $.post('rest/GetCustomFieldDetails.php',{ FieldID: id }, function( data ) {
        if( data.success == true )
        {
            $('#edit_FieldName').val(data.details[0].FieldName);
            $('#edit_Description').val(data.details[0].Description);
            $('#edit_FieldType').val(data.details[0].FieldType);
            if( data.details[0].PossibleValues != null )
            {
                $('#edit_PossibleValues').val(data.details[0].PossibleValues.replace(/,/g,'\\n'));
                $('#edit_PossibleValues').attr('disabled','');
            }
            else
            {
                $('#edit_PossibleValues').val('');
                $('#edit_PossibleValues').attr('disabled','disabled');
            }
            $('#edit_field_dialog').dialog('open');
        }
        else
        {
            alert('Unable to get field data. Call canceled.');
        }
    }, 'json');
}
function confirmDelete( fieldID )
{
    $('#delete_CustomFieldID').val(fieldID);
    $('#delete_confirm_dialog').dialog('open');
}
");
$Smarty->assign("JSIncludes",array("js/jquery.alternate.min.js"));
$Smarty->assign("Error",isset($Error) ? $Error : "");
$Smarty->assign("Message",isset($Message) ? $Message : "" );
$Smarty->display("CustomFields.tpl");
?>
