<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");

$DB = DatabaseFactory::GetDatabase();
include("include/OtherLinks.php");

$Smarty->assign("ExtraJQuery","
$('#customfield_query_form').hide();

populateCollectorFields( $('#Collector').val() );
populateCustomFieldValues( $('#CustomField').val() );
");

$Smarty->assign("ExtraJavaScript","
function checkDisplayCollectorFieldTextBox( )
{
    if( $('#CollectorFieldValue_Select').val() == 'CustomValue' )
        $('#CollectorFieldValue_TextBox').attr('disabled','');
    else
        $('#CollectorFieldValue_TextBox').attr('disabled','disabled');
}

function checkDisplayCustomFieldTextBox( )
{
    if( $('#CustomFieldValue_Select').val() == 'CustomValue' )
        $('#CustomFieldValue_TextBox').attr('disabled','');
    else
        $('#CustomFieldValue_TextBox').attr('disabled','disabled');
}

function setColletorOperatorsDropdown( operators )
{
    var options = '';

    for( var i = 0; i < operators.length; i++ )
    {
        options += '<option value=\"'+operators[i]+'\">'+operators[i]+'<\/option>';
    }
    $('#CollectorFieldOperator').html(options);
}

function populateCustomFieldValues( fieldId )
{
    $.post('rest/GetCustomFieldPossibleValues.php', { CustomFieldID: fieldId }, function( data ) {
        if( data.success == true )
        {
            var fieldValueSelectHtml = '<select name=\"Value_Select\" id=\"CustomFieldValue_Select\" onChange=\"checkDisplayCustomFieldTextBox()\">';
            for( var i = 0; i < data.fieldValues.length; i++ )
            {
                var Value = data.fieldValues[i];
                fieldValueSelectHtml += '<option value=\"'+Value+'\">'+Value+'<\/option>';
            }
            fieldValueSelectHtml += '<option value=\"CustomValue\">Enter Value...<\/option>';
            $('#CustomFieldValueSelect').html(fieldValueSelectHtml);
        }
        else
        {
            $('#CustomFieldValueSelect').text('Something broke...'+data.error);
        }
    }, 'json');

    checkDisplayCustomFieldTextBox( );
}

function populateCollectorFieldValues( fieldId )
{
    $.post('rest/GetCollectorFieldPossibleValues.php', { FieldID: fieldId }, function( data ) {
        if( data.success == true )
        {
            var fieldValueSelectHtml = '<select name=\"Value_Select\" id=\"CollectorFieldValue_Select\" onChange=\"checkDisplayCollectorFieldTextBox()\">';
            for( var i = 0; i < data.fieldValues.length; i++ )
            {
                var Value = data.fieldValues[i];
                fieldValueSelectHtml += '<option value=\"'+Value+'\">'+Value+'<\/option>';
            }
            fieldValueSelectHtml += '<option value=\"CustomValue\">Enter Value...<\/option>';

            $('#CollectorFieldValueSelect').html(fieldValueSelectHtml);

            setColletorOperatorsDropdown(data.operators);
        }
        else
        {
            $('#CollectorFieldValueSelect').text('Something broke...'+data.error);
        }
    },'json');

    checkDisplayCollectorFieldTextBox( );
}

function populateCollectorFields( collectorId )
{
    $.post('rest/GetCollectorFields.php', { CollectorID: collectorId }, function( data ) {
        if( data.success == true )
        {
            var collectorFieldsSelectHtml = '<select name=\"CollectorField\" id=\"CollectorField\" onChange=\"populateCollectorFieldValues(this.value)\">';
            for( var i = 0; i < data.collectorFields.length; i++ )
            {
                var fieldId = data.collectorFields[i].FieldID;
                var fieldName = data.collectorFields[i].Name;

                collectorFieldsSelectHtml += '<option value=\"'+fieldId+'\">'+fieldName+'<\/option>';
            }
            $('#CollectorFieldSelect').html(collectorFieldsSelectHtml);

            populateCollectorFieldValues( $('#CollectorField').val());
        }
        else
        {
            $('#CollectorFieldSelect').text('Something broke...' + data.error);
        }
    }, 'json');
}

function showQueryForm( queryType )
{
    switch( queryType )
    {
    case 'customfield':
        $('#customfield_query_form').show();
        $('#collector_query_form').hide();
        break;
    case 'collector':
        $('#customfield_query_form').hide();
        $('#collector_query_form').show();
        break;
    }
}

function runCustomQuery( queryType )
{
    switch( queryType )
    {
    case 'customfield':
        $.post('rest/CustomQuery_Query.php', {
            CustomField: $('#CustomField').val(),
            QueryOperator: $('#CustomFieldOperator').val(),
            Value_Select: $('#CustomFieldValueSelect select').val(),
            Value_TextBox: $('#CustomFieldValue_TextBox').val(),
            SortBy: $('#SortBy').val(),
            QueryType: queryType
        }, function( data ) {
            if( data.success == false )
            {
                $('#QueryResults').text(data.error);
            }
            else
            {
                var TableHtml = '<table width=\"100%\" class=\"ui-widget ui-widget-content\" id=\"QueryResultTable\"><thead><tr class=\"ui-widget-header\"><th>Device Name<\/th><th>Field Name<\/th><th>Value<\/th><\/tr><\/thead><tbody>';
                for( var i = 0; i < data.result.length; i++ )
                {
                    var row = data.result[i];
                    var rowClass = i % 2 == 0 ? 'even' : 'odd';
                    TableHtml += '<tr class=\"'+rowClass+'\"><td><a href=\"ShowDevice.php?DeviceID='+row.DeviceID+'\">'+row.DeviceName+'<\/a><\/td><td>'+row.FieldName+'<\/td><td>'+row.FieldValue+'<\/td><\/tr>';
                }
                TableHtml += '<\/tbody><\/table>';

                $('#QueryResults').html(TableHtml);

            }
        }, 'json' );
        break;
    case 'collector':
        $.post('rest/CustomQuery_Query.php', {
            QueryOperator: $('#CollectorFieldOperator').val(),
            Value_Select: $('#CollectorFieldValueSelect select').val(),
            Value_TextBox: $('#CollectorFieldValue_TextBox').val(),
            CollectorField: $('#CollectorFieldSelect select').val(),
            SortBy: $('#SortBy').val(),
            QueryType: queryType
        }, function( data ) {
            if( data.success == false )
            {
                $('#QueryResults').text(data.error);
            }
            else
            {
                var TableHtml = '<table width=\"100%\" class=\"ui-widget ui-widget-content\" id=\"QueryResultsTable\"><thead><tr class=\"ui-widget-header\"><th>Device Name<\/th><th>Field Name<\/th><th>Value<\/th><\/tr><\/thead><tbody>';
                for( var i = 0; i < data.result.length; i++ )
                {
                    var row = data.result[i];
                    var rowClass = i % 2 == 0 ? 'even' : 'odd';
                    TableHtml += '<tr class=\"'+rowClass+'\"><td><a href=\"ShowDevice.php?DeviceID='+row.DeviceID+'\">'+row.DeviceName+'<\/a><td>'+row.FieldName+'<\/td><td>'+row.FieldValue+'<\/td><\/tr>';
                }
                TableHtml += '<\/tbody><\/table>';

                $('#QueryResults').html(TableHtml);
            }
        }, 'json');
        break;
    }
}
");

$CollectorList = $DB->ExecuteQuery("SELECT * FROM [Collectors]");
$Smarty->assign("CollectorList",$CollectorList);

$CustomFields = $DB->ExecuteQuery("SELECT * FROM [CustomFields]");
$Smarty->assign("CustomFields",$CustomFields);

$Smarty->display("CustomQuery.tpl");
?>
