<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");

$DB = DatabaseFactory::GetDatabase();
include("include/OtherLinks.php");

$Smarty->assign("ExtraJQuery","
populateFieldListForType($('#FieldCollection').val());
populateCollectorFields($('#Collector').val());
$('#ReportChart').hide();
$('#CustomField').hide();
");

$Smarty->assign("ExtraJavaScript","
var change = false;
function populateCollectorFields( collectorID )
{
    $.post('rest/GetCollectorFields.php', {
        CollectorID: collectorID
    }, function( data ) {
        if( data.success == false )
        {
            alert(data.error);
            $('#Collector').hide();
        }
        else
        {
            $('#CollectorField').html('');
            for( var i = 0; i < data.collectorFields.length; i++ )
            {
                var fieldID = data.collectorFields[i].FieldID;
                var fieldName = data.collectorFields[i].Name;
                var option = '<option value=\"'+fieldID+'\">'+fieldName+'<\/option>';
                $('#CollectorField').append(option);
            }
        }
    }, 'json' );
}

function populateFieldListForType( type )
{
    switch( type )
    {
    case 'collector':
        $('#Collector').show();
        $('#CollectorField').show();
        $('#CustomField').hide();
        break;
    case 'customfield':
        $('#Collector').hide();
        $('#CollectorField').hide();
        $('#CustomField').show();
        break;
    }
}
function runReport()
{
    $.post('rest/CustomReport_Report.php', {
        QueryType: $('#FieldCollection').val(),
        CollectorID: $('#Collector').val(),
        CollectorField: $('#CollectorField').val(),
        CustomField: $('#CustomField').val(),
        SortBy: $('#SortBy').val()
    }, function( data ) {
        if( data.success == false )
        {
            $('#ReportChart').hide();
            $('#ReportOutput').text(data.error);
        }
        else
        {
            $('#ReportChart').empty();
            $('#ReportChart').show();

            var ReportTable = '<table width=\"100%\" class=\"ui-widget-content\"><thead><tr class=\"ui-widget-header\"><th>Device<\/th><th>Field Name<\/th><th>Field Value<\/th><\/tr><\/thead><tbody>';

            for( var i = 0; i < data.result.length; i++ )
            {
                var rowClass = i % 2 == 0 ? 'even' : 'odd';
                var row = data.result[i];
                ReportTable += '<tr class=\"'+rowClass+'\"><td><a href=\"ShowDevice.php?DeviceID='+row.DeviceID+'\">'+row.DeviceName+'<\/a><\/td><td>'+row.FieldName+'<\/td><td>'+row.FieldValue+'<\/td><\/tr>';
            }

            ReportTable += '<\/tbody><\/table>';

            $('#ReportOutput').html(ReportTable);

            if( change != true )
            {
                $('#ReportChart').gchart({
                    series: [$.gchart.series(data.series)],
                    type: $('#ChartType').val(),
                    dataLabels: data.labels,
                    margins: [90, 90, 0, 0],
                    backgroundColor: '00000000'
                });
                change = true;
            }
            else
            {
                $('#ReportChart').gchart('change', {
                    series: [$.gchart.series(data.series)],
                    dataLabels: data.labels,
                    type: $('#ChartType').val()
                });
            }

            $('#ResultStats').html(data.resultStatsHtml);
        }
    }, 'json' );
}
");
$CollectorList = $DB->ExecuteQuery("SELECT * FROM [Collectors]");
$Smarty->assign("Collectors",$CollectorList);

$CustomFields = $DB->ExecuteQuery("SELECT * FROM [CustomFields]");
$Smarty->assign("CustomFields",$CustomFields);

$Smarty->assign("JSIncludes",array("js/jquery.gchart.pack.js"));
$Smarty->display("CustomReport.tpl");
?>
