<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");

$DB = DatabaseFactory::GetDatabase();
$Smarty->assign("Title","Device List");

include("include/OtherLinks.php");

// Form handler
if( isset($_POST['action']) )
{
    switch( $_POST['action'] )
    {
        case "DeleteDevice":
            $DeviceID = $DB->MakeSafe($_POST['DeviceID']);
            $Success = $DB->ExecuteNonQuery("DELETE FROM [Devices] WHERE [DeviceID] = $DeviceID");
            if( $Success == true )
                $Message = "Device deleted successfully.";
            else
                $Error = "Unable to delete device. Reason: " . $DB->LastError();
            break;
    }
}
$DeviceList = $DB->ExecuteQuery("SELECT * FROM [V_DEVICE_LIST] ORDER BY [Name]");
$Smarty->assign("DeviceList",$DeviceList);

$Smarty->assign("Breadcrumb", array(
        array("Name"=>"Home", "URL"=>"index.php"),
        array("Name"=>"Device List", "URL"=>"DeviceList.php")
    )
);
$Smarty->assign("ExtraJQuery",'
$("#devices tbody tr").alternate();

$("#sorting_overlay").dialog({
    autoOpen: false,
    resizable: false,
    draggable: false,
    modal: true,
    width: 150
});

$("#devices").tablesorter({
    headers: {
        4: { sorter: false }
    },
    widgets: ["zebra"]
});


$("#devices").bind("sortStart",function(){
    $("#sorting_overlay").dialog("open");
});
$("#devices").bind("sortEnd",function(){
    $("#sorting_overlay").dialog("close");
});

$("#devices").columnFilters({excludeColumns:[4], underline: true});
$("#delete_confirm_dialog").dialog({
    autoOpen: false,
    resizable: false,
    height: 125,
    modal: true,
    buttons: {
        "Yes, I\'m sure" : function() {
            $("#delete_form").submit();
        },
        "No, I changed my mind" : function() {
            $(this).dialog("close");
        }
    }
});
');

$Smarty->assign("ExtraJavaScript","
function confirmDelete( id )
{
    $('#delete_DeviceID').val(id);
    $('#delete_confirm_dialog').dialog('open');
}
");
$Smarty->assign("JSIncludes",array("js/jquery.columnfilters.js","js/jquery.tablesorter.min.js","js/jquery.alternate.min.js"));
$Smarty->assign("Error",isset($Error) ? $Error : "");
$Smarty->assign("Message",isset($Message) ? $Message : "" );
$Smarty->display("DeviceList.tpl");
?>
