<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");

$DB = DatabaseFactory::GetDatabase();
include("include/OtherLinks.php");

$CollectorID = $DB->MakeSafe($_GET['CollectorID']);
// Form handler
if( isset($_POST['action']) )
{
    switch( $_POST['action'] )
    {
        case "AddField":
            $FieldName = $DB->MakeSafe($_POST['FieldName']);
            $Type = $DB->MakeSafe($_POST['Type']);
            $Success = $DB->ExecuteNonQuery("INSERT INTO [CollectorFields] ([CollectorID],[Name],[Type]) VALUES($CollectorID,'$FieldName','$Type')");
            if( $Success == true )
                $Message = "Field added successfully.";
            else
                $Error = "Unable to add field. Reason: " . $DB->LastError();
            break;
        case "EditField":
            $FieldID = $DB->MakeSafe($_POST['FieldID']);
            $FieldName = $DB->MakeSafe($_POST['FieldName']);
            $Type = $DB->MakeSafe($_POST['Type']);
            $Success = $DB->ExecuteNonQuery("UPDATE [CollectorFields] SET [Name]='$FieldName', [Type]='$Type' WHERE [FieldID]='$FieldID'");
            if( $Success == true )
                $Message = "Field modified successfully.";
            else
                $Error = "Unable to modify field. Reason: " . $DB->LastError();
            break;
        case "DeleteField":
            $FieldID = $DB->MakeSafe($_POST['FieldID']);
            $Success = $DB->ExecuteNonQuery("DELETE FROM [CollectorFields] WHERE [FieldID]=$FieldID");
            if( $Success == true )
                $Message = "Field removed successfully.";
            else
                $Error = "Unable to remove field. Reason: " . $DB->LastError();
            break;
    }
}
$CollectorName = $DB->ExecuteScalar("SELECT [Name] FROM [Collectors] WHERE [CollectorID]=$CollectorID");
$CollectorFieldsList = $DB->ExecuteQuery("SELECT * FROM [CollectorFields] WHERE [CollectorID]=$CollectorID");

$Smarty->assign("CollectorName",$CollectorName);
$Smarty->assign("CollectorFieldsList",$CollectorFieldsList);

$Smarty->assign("Title","Edit Collector Fields");
$Smarty->assign("Breadcrumb",array(
        array("Name"=>"Home","URL"=>"index.php"),
        array("Name"=>"Collectors","URL"=>"Collectors.php"),
        array("Name"=>$CollectorName,"URL"=>"EditCollectorFields.php?CollectorID=$CollectorID"),
    )
);

$Smarty->assign("ExtraJQuery",'
$("#collector_fields tbody tr").alternate();

$("#edit_field_dialog").dialog({
    autoOpen: false,
    autoSize: true,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        "Save Changes" : function() {
            $("#edit_field_form").submit();
         },
         "Cancel" : function() {
            $(this).dialog("close");
         }
    }
});
$("#add_field_dialog").dialog({
    autoOpen: false,
    autoSize: true,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        "Save" : function() {
            $("#add_field_form").submit();
        },
        "Cancel" : function() {
            $(this).dialog("close");
        }
    }
});
$("#delete_confirm_dialog").dialog({
    autoOpen: false,
    resizable: false,
    autoSize: true,
    modal: true,
    buttons: {
        "Yes, I\'m sure" : function() {
            $("#delete_form").submit();
        },
        "No, I changed my mind" : function() {
            $(this).dialog("close");
        }
    }
});
$("#add_field").click(function(){
    $("#add_field_dialog").dialog("open");
});
');

$Smarty->assign("ExtraJavaScript","
function editField( fieldID, fieldName, type, procFileKey )
{
    $('#edit_FieldID').val(fieldID);
    $('#edit_FieldName').val(fieldName);
    $('#edit_Type').val(type);
    $('#edit_ProcFileKey').val(procFileKey);
    $('#edit_field_dialog').dialog('open');
}
function confirmDelete( fieldID )
{
    $('#delete_FieldID').val(fieldID);
    $('#delete_confirm_dialog').dialog('open');
}
");
$Smarty->assign("JSIncludes",array("js/jquery.alternate.min.js"));
$Smarty->assign("Error",isset($Error) ? $Error : "");
$Smarty->assign("Message",isset($Message) ? $Message : "" );
$Smarty->display("EditCollectorFields.tpl");
?>
