<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");

$DB = DatabaseFactory::GetDatabase();
include("include/OtherLinks.php");

$Smarty->assign("Breadcrumb", array(
        array("Name"=>"Home", "URL"=>"index.php"),
        array("Name"=>"IP Scan Ranges", "URL"=>"IPScanRanges.php"),
    )
);

// Form handler
if( isset($_POST['action']) )
{
    switch( $_POST['action'] )
    {
        case "EditScanRange":
            $ScanRangeID = $_POST['ScanRangeID'];
            $SiteName = $DB->MakeSafe($_POST['SiteName']);
            $BeginIP = $DB->MakeSafe($_POST['BeginIP']);
            $EndIP = $DB->MakeSafe($_POST['EndIP']);
            $Enabled = isset($_POST['Enabled']) ? true : false;
            $Success = $DB->ExecuteNonQuery("UPDATE [IPScanRanges] SET [SiteName]='$SiteName', [IPStart]='$BeginIP', [IPEnd]='$EndIP', [Enabled]='$Enabled' WHERE [ID]=$ScanRangeID");
            if( $Success == false )
                $Error = $DB->LastError() . "<br/>";
            else
                $Message = "IP Scan range updated successfully.<br/>";
            break;
        case "AddScanRange":
            $SiteName = $DB->MakeSafe($_POST['SiteName']);
            $BeginIP = $DB->MakeSafe($_POST['BeginIP']);
            $EndIP = $DB->MakeSafe($_POST['EndIP']);
            $Enabled = isset($_POST['Enabled']) ? true : false;
            $Success = $DB->ExecuteNonQuery("INSERT INTO [IPScanRanges] ([SiteName],[IPStart],[IPEnd],[Enabled]) VALUES('$SiteName','$BeginIP','$EndIP',$Enabled)");
            if( $Success == false )
                $Error = $DB->LastError() . "<br/>";
            else
                $Message = "IP Scan range added successfully.<br/>";
            break;
        case "DeleteScanRange":
            $ScanRangeID = $_POST['ScanRangeID'];
            $Success = $DB->ExecuteNonQuery("DELETE FROM [IPScanRanges] WHERE [ID]=$ScanRangeID");
            if( $Success == false )
                $Error = $DB->LastError() . "<br/>";
            else
                $Message = "IP Scan range deleted successfully.<br/>";
            break;
    }
}
$ScanRangeList = $DB->ExecuteQuery("SELECT * FROM [IPScanRanges]");

$Smarty->assign("ExtraJavaScript","
function editScanRange( id, siteName, startIP, endIP, enabled )
{
    $('#edit_ScanRangeID').val(id);
    $('#edit_SiteName').val(siteName);
    $('#edit_BeginIP').val(startIP);
    $('#edit_EndIP').val(endIP);
    $('#edit_Enabled').check( enabled == 1 ? 'on' : 'off' );
    $('#edit_scan_range_dialog').dialog('open');
}

function confirmDelete( id )
{
    $('#delete_ScanRangeID').val(id);
    $('#delete_confirm_dialog').dialog('open');
}
"
);

if( ( isset($_SESSION['Roles']) && $_SESSION['Roles'] & $Permissions['SCANRANGE_EDIT']) || $SiteSettings['DisplayLogin'] == false )
{
    $ExtraJQuery .= '$("#edit_scan_range_dialog").dialog({
    autoOpen: false,
    autoSize: true,
    width: 300,
    modal: true,
    resizable: false,
    buttons: {
        "Save Scan Range": function() {
            $("#edit_scan_range_form").submit();
            $("#edit_scan_range_dialog").dialog("close");
        },
        "Cancel": function() {
            $("#edit_scan_range_dialog").dialog("close");
        }
    }
});';
}

$Smarty->assign("ExtraJQuery",'
$("#edit_scan_range_dialog").dialog({
    autoOpen: false,
    autoSize: true,
    width: 300,
    modal: true,
    resizable: false,
    buttons: {
        "Save Scan Range": function() {
            $("#edit_scan_range_form").submit();
            $("#edit_scan_range_dialog").dialog("close");
        },
        "Cancel": function() {
            $("#edit_scan_range_dialog").dialog("close");
        }
    }
});
$("#add_scan_range_dialog").dialog({
    autoOpen: false,
    autoSize: true,
    width: 300,
    modal: true,
    resizable: false,
    buttons: {
        "Add Scan Range": function() {
            $("#add_scan_range_form").submit();
            $("#add_scan_range_dialog").dialog("close");
        },
        "Cancel": function() {
            $("#add_scan_range_dialog").dialog("close");
        }
    }
});
$("#delete_confirm_dialog").dialog({
    autoOpen: false,
    resizable: false,
    autoSize: true,
    modal: true,
    buttons: {
        "Yes, I\'m sure" : function() {
            $("#delete_form").submit();
        },
        "No, I changed my mind" : function() {
            $(this).dialog("close");
        }
    }
});
$("#add_scan_range").click(function(){
    $("#add_scan_range_dialog").dialog("open");
});
$("#scanranges tbody tr").alternate();
'
);
$Smarty->assign("JSIncludes",array("js/jquery.alternate.min.js"));
$Smarty->assign("Error", isset($Error) ? $Error : "" );
$Smarty->assign("Message", isset($Message) ? $Message : "" );
$Smarty->assign("ScanRangeList",$ScanRangeList);
$Smarty->assign("Title", "IP Scan Ranges");
$Smarty->display("IPScanRanges.tpl");
?>
