<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");
include("include/OtherLinks.php");

$DB = DatabaseFactory::GetDatabase();

// Form handler
function SaveSettings( $SettingsArray )
{
    global $DB;
    $Error = true;
    foreach( array_keys($SettingsArray) as $Key )
    {
        $Value = $SettingsArray[$Key];
        $Success = $DB->ExecuteNonQuery("UPDATE [Settings] SET [Value] = '$Value' WHERE [Key]='$Key'");
        if( !$Success )
            $Error .= $DB->LastError();
    }
    return $Error;
}

if( !empty($_POST) )
{
    switch( $_POST['action'] )
    {
        case "SaveCustomizeSettings":
            $Update = array();
            $Update['DefaultTheme'] = isset($_POST['DefaultTheme']) ? $DB->MakeSafe($_POST['DefaultTheme']) : "ui-lightness";
            $Update['LoginVerbiage'] = isset($_POST['LoginVerbiage']) ? $DB->MakeSafe($_POST['LoginVerbiage']) : "";
            $Error = SaveSettings($Update);
            if( $Error == true )
            {
                $Message = "Customization settings saved.";
                unset($Error);
            }
            break;
        case "SaveGeneralSettings":
            $Update = array();
            $Update['RequireLogin'] = isset($_POST['RequireLogin']) ? "1" : "0";
            $Update['DisplayLogin'] = isset($_POST['DisplayLogin']) ? "1" : "0";

            $Error = SaveSettings($Update);
            if( $Error == true) // A little ass-backwards, but w/e
            {
                $Message = "General Settings saved.";
                unset($Error);
            }
            break;
        case "SaveLDAPSettings":
            $Update = array();
            $Update['UseLDAP'] = isset($_POST['UseLDAP']) ? "1" : "0";
            $Update['LDAPServer'] = $DB->MakeSafe($_POST['LDAPServer']);
            $Update['LDAPPort'] = $DB->MakeSafe($_POST['LDAPPort']);
            $Update['BaseDN'] = $DB->MakeSafe($_POST['BaseDN']);
            $Update['SearchAttribute'] = $DB->MakeSafe($_POST['SearchAttribute']);
            $Update['BindAnonymously'] = isset($_POST['BindAnonymously']) ? "1" : "0";
            $Update['BindUserDN'] = $DB->MakeSafe($_POST['BindUserDN']);
            $Update['BindUserPassword'] = $DB->MakeSafe($_POST['BindUserPassword']);

            $Error = SaveSettings($Update);
            if( $Error == true) // A little ass-backwards, but w/e
            {
                $Message = "LDAP Settings saved.";
                unset($Error);
            }
            break;
    }
}
$SettingsList = $DB->ExecuteQuery("SELECT * FROM [Settings]");

$Settings = array();
foreach( $SettingsList as $Setting )
{
    $Settings[$Setting['Key']]=$Setting['Value'];
}
$Smarty->assign("Settings",$Settings);
$Smarty->assign("Title","Settings");
$Smarty->assign("Breadcrumb",array(
        array("Name"=>"Home","URL"=>"index.php"),
        array("Name"=>"Settings","URL"=>"Settings.php"),
    )
);
$Smarty->assign("ExtraJQuery","
    $('#settings_tabs').tabs({
        cookie: {
            expires: 30
        }
    });
    $('.ajax_loader').hide();
    $('.ajax_loader').ajaxStart(function(){ $(this).show(); });
    $('.ajax_loader').ajaxStop(function(){ $(this).hide(); });
");
$Smarty->assign("ExtraJavaScript","
function validateLDAPSettings( form )
{
    var BindPassword = $('#BindUserPassword').val();
    var BindPasswordConfirm = $('#BindUserPasswordConfirm').val();

    if( BindPassword != BindPasswordConfirm )
    {
        $('#BindUserPassword').addClass('ui-state-error').focus();
        $('#BindUserPasswordConfirm').addClass('ui-state-error').after('<span class=\"ui-state-error\">Passwords do not match</span>');
        return false;
    }
    return true;
}

function ldapBindTest()
{
    $.post('rest/LDAPBindTest.php', {
            UserDN: $('#BindUserDN').val(),
            Password: $('#BindUserPassword').val(),
            Server: $('#LDAPServer').val(),
            Port: $('#LDAPPort').val(),
            AnonymousBind: $('#AnonymousBind').val()
        },
        function(data) {
            if( data.success == false )
            {
                $('#ldap_bind_test_result').text(data.error);
            }
            else
            {
                $('#ldap_bind_test_result').text(data.message);
            }
        },
        'json'
    );
}

function ldapLoginTest()
{
    $.post('rest/LDAPLoginTest.php', {
            BindUser: $('#BindUserDN').val(),
            BindPassword: $('#BindUserPassword').val(),
            Server: $('#LDAPServer').val(),
            Port: $('#LDAPPort').val(),
            AnonymousBind: $('#AnonymousBind').val(),
            Username: $('#ldapTestUsername').val(),
            Password: $('#ldapTestPassword').val(),
            SearchAttribute: $('#SearchAttribute').val(),
            BaseDN: $('#BaseDN').val()
        },
        function(data) {
            if( data.success == false )
            {
                $('#ldap_login_test_result').text(data.error);
            }
            else
            {
                $('#ldap_login_test_result').text('Login successful');
            }
        },
        'json'
    );
}
");

$Smarty->assign("Error",isset($Error) ? $Error : "");
$Smarty->assign("Message",isset($Message) ? $Message : "" );

$Smarty->display("Settings.tpl");
?>
