<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");

$DeviceID = $_GET['DeviceID'];

$DB = DatabaseFactory::GetDatabase();
include("include/OtherLinks.php");

// Form handlers
if( isset($_POST['action'] ) )
{
    switch( $_POST['action'] )
    {
        case "SaveGeneral":
            $DeviceID = $_POST['DeviceID'];
            $DeviceName = $_POST['DeviceName'];
            $Description = $_POST['Description'];
            $Notes = $_POST['Notes'];
            $Success = $DB->ExecuteNonQuery("UPDATE [Devices] SET [Name]='$DeviceName', [Description]='$Description', [Notes]='$Notes' WHERE DeviceID=$DeviceID");
            if( $Success )
                $Message = "Device data updated successfully.";
            else
                $Error = $DB->LastError();
            break;
        case "SaveCustomFields":
            $CustomFieldValues = array();
            foreach( $_POST['CustomFieldID'] as $FieldID )
            {
                $Value = $_POST['CustomFieldValues_'.$FieldID];
                if( is_array($Value) )
                {
                    $CustomFieldValues[$FieldID] = implode(",",$Value);
                }
                else
                {
                    $CustomFieldValues[$FieldID] = $Value;
                }
            }


            $DeviceID = $_POST['DeviceID'];
            for( $i=0; $i < count($_POST['CustomFieldID']); $i++ )
            {
                $CustomFieldID = $DB->MakeSafe($_POST['CustomFieldID'][$i]);
                $CustomFieldValue = $DB->MakeSafe($CustomFieldValues[$CustomFieldID]);
                $DeletedField = isset($_POST['DeletedCustomField_'.$CustomFieldID]);
                
                if( $DeletedField )
                    $Success = $DB->ExecuteNonQuery("DELETE FROM [CustomFieldValues] WHERE [DeviceID]=$DeviceID AND [CustomFieldID]=$CustomFieldID");
                else
                    $Success = $DB->ExecuteNonQuery("{CALL SP_SetDeviceCustomField($DeviceID, $CustomFieldID, '$CustomFieldValue')}");
                    
                if( $Success == false )
                    $Error .= $DB->LastError() . "<br/>";
            }
            if( empty($Error) )
                $Message = "Custom fields updated successfully.";
            break;
    }
}

$DeviceData = $DB->ExecuteQuery("SELECT * FROM [V_DEVICE_LIST] WHERE DeviceID=$DeviceID");
$DeviceData = $DeviceData[0];
$DeviceLastUpdate = $DeviceData['UpdateTimestamp'];
$CollectorsRaw = $DB->ExecuteQuery("SELECT Name FROM [Collectors]");
$CustomFields = $DB->ExecuteQuery("SELECT * FROM [CustomFields]");
foreach( array_keys($CustomFields) as $Key )
{
    if( isset($CustomFields[$Key]['PossibleValues']) &&
        $CustomFields[$Key]['PossibleValues'] != null )
    {
        $Values = explode(",",$CustomFields[$Key]['PossibleValues']);
        $CustomFields[$Key]['PossibleValues'] = array();
        foreach( $Values as $Value )
            array_push($CustomFields[$Key]['PossibleValues'],array("Value"=>$Value,"Selected"=>false));
    }
}

$DeviceIPAddressesRaw = $DB->ExecuteQuery("SELECT * FROM [IPAddresses] WHERE [DeviceID]=$DeviceID");
$CustomDeviceFields = $DB->ExecuteQuery("SELECT * FROM [V_DEVICE_CUSTOM_FIELDS] WHERE DeviceID=$DeviceID");

// This is incredibly convoluted and complex for something so simple. I don't know why it has to be this way...
for( $i = 0; $i < count($CustomFields); $i++ )
{
    if( $CustomFields[$i]['FieldType'] == 'combo' || $CustomFields[$i]['FieldType'] == 'multiselect' )
    {
        if( isset($CustomDeviceFields[$i]) )
            $DeviceFields = explode(",",$CustomDeviceFields[$i]['Value']);
        else
            continue;

        $PossibleValues = &$CustomFields[$i]['PossibleValues'];
        foreach( $DeviceFields as $Value )
        {
            for( $j = 0; $j < count($PossibleValues); $j++ )
            {
                if( trim($PossibleValues[$j]['Value']) == trim($Value) )
                {
                    $PossibleValues[$j]['Selected'] = true;
                }
            }
        }
    }
}

$DeviceIPAddressArray = array();
foreach( $DeviceIPAddressesRaw as $IP )
{
    array_push($DeviceIPAddressArray,$IP['IPAddress']);
}
$DeviceIPAddresses = implode(",",$DeviceIPAddressArray);
$Smarty->assign("DeviceIPAddresses",$DeviceIPAddresses);

$Collectors = array();
foreach( $CollectorsRaw as $Collector )
{
    $CollectorInfo = array();
    $CollectorData = $DB->ExecuteQuery("SELECT FieldName, FieldValue FROM [V_DEVICE_DATA] WHERE DeviceID=$DeviceID AND CollectorName='$Collector[Name]' ORDER BY ManagedDeviceID, FieldName");
    array_push($CollectorInfo,$CollectorData);
    
    $Collectors[$Collector['Name']]=$CollectorInfo;
}


$Smarty->assign("JSIncludes",array("js/jquery.alternate.min.js"));
$Smarty->assign("ExtraJQuery",'
$("#edit_general_info_dialog").dialog({
        autoOpen: false,
        autoSize: true,
        width: 420,
        modal: true,
        resizable: false,
        buttons: {
            "Save Info": function() {
                $("#edit_general_form").submit();
                $("#edit_general_info_dialog").dialog("close");
            },
            "Cancel": function() {
                $("#edit_general_info_dialog").dialog("close");
            }
        }
});
$("#edit_general_info").click(function(){
    $("#edit_general_info_dialog").dialog("open");
});

$("#edit_custom_fields_dialog").dialog({
    autoOpen: false,
    autoSize: true,
    width: 600,
    modal: true,
    resizable: true,
    buttons: {
        "Save Info": function() {
            $("#edit_custom_fields_form").submit();
            $("#edit_custom_fields_dialog").dialog("close");
        },
        "Cancel": function() {
            $("#edit_custom_fields_dialog").dialog("close");
        }
    }
});

$("#edit_custom_fields").click(function(){
    $("#edit_custom_fields_dialog").dialog("open");
});

$(".values_table tbody tr").alternate();
');

$Smarty->assign("ExtraJavaScript","
function validateCustomField( fieldID, deviceID )
{
    $.post('rest/ValidateCustomField.php', { CustomFieldID: fieldID, DeviceID: deviceID }, function(data) {
        if( data.success == true )
        {
            $('#validate_'+fieldID).hide('blind');
        }
        else
        {
            $('#validate_'+fieldID).append('<strong>Validation failed. Reason: ' + data.error + '</strong>');
        }
    },'json');
}
");

$Smarty->assign("Breadcrumb", array(
        array("Name"=>"Home", "URL"=>"index.php"),
        array("Name"=>"Device List", "URL"=>"DeviceList.php"),
        array("Name"=>"$DeviceData[Name]", "URL"=>"ShowDevice.php?DeviceID=$DeviceID")
    )
);
$Smarty->assign("Collectors",$Collectors);
$Smarty->assign("Title", $DeviceData['Name']);
$Smarty->assign("DeviceData",$DeviceData);
$Smarty->assign("DeviceLastUpdate",$DeviceLastUpdate . " (".datediff("d",$DeviceLastUpdate,date("d-m-Y H:m:s")) ." days ago)");
$Smarty->assign("Stale",datediff("d",$DeviceLastUpdate,date("d-m-Y H:m:s")));
$Smarty->assign("CustomDeviceFields",$CustomDeviceFields);
$Smarty->assign("CustomFields",$CustomFields);
$Smarty->assign("Message", isset($Message) ? $Message : "" );
$Smarty->assign("Error", isset($Error) ? $Error : "" );
$Smarty->display("ShowDevice.tpl");
?>
