<?php
require_once("include/GlobalSmarty.php");
require_once("class/DatabaseFactory.php");
include("include/Common.php");

global $Permissions;
$Smarty->assign("Permissions",$Permissions);

$DB = DatabaseFactory::GetDatabase();

if( !empty($_POST) )
{
    switch( $_POST['action'] )
    {
        case "AddUser":
            $Username = $DB->MakeSafe($_POST['Username']);
            $Password = $DB->MakeSafe(md5($_POST['Password']));
            $Roles = isset($_POST['Permissions']) ? $DB->MakeSafe(array_sum($_POST['Permissions'])) : "0";
            $LDAP = isset($_POST['LDAP']) ? "1" : "0";
            $Success = $DB->ExecuteNonQuery("INSERT INTO [Users] ([Username],[Password],[LDAP],[Roles]) VALUES('$Username','$Password','$LDAP',$Roles)");
            if( $Success )
                $Message = "User added";
            else
                $Error = $DB->LastError();
            break;
        case "EditUser":
            $Username = $DB->MakeSafe($_POST['Username']);
            if( !empty($_POST['Password']) )
                $Password = $DB->MakeSafe(md5($_POST['Password']));
            $Roles = isset($_POST['Permissions']) ? $DB->MakeSafe(array_sum($_POST['Permissions'])) : "0";
            $LDAP = isset($_POST['LDAP']) ? "1" : "0";

            if( isset($Password) )
                $Success = $DB->ExecuteNonQuery("UPDATE [Users] SET [Username]='$Username', [Password]='$Password', [Roles]=$Roles, [LDAP]='$LDAP' WHERE [Username]='$Username'");
            else
                $Success = $DB->ExecuteNonQuery("UPDATE [Users] SET [Username]='$Username', [Roles]=$Roles, [LDAP]='$LDAP' WHERE [Username]='$Username'");
            if( $Success )
                $Message = "User changed";
            else
                $Error = $DB->LastError();
            break;
        case "RemoveUser":
            $Username = $DB->MakeSafe($_POST['Username']);
            $Success = $DB->ExecuteNonQuery("DELETE FROM [Users] WHERE [Username]='$Username'");
            if( $Success )
                $Message = "User removed";
            else
                $Error = $DB->LastError();
            break;
    }
}
$UsersList = $DB->ExecuteQuery("SELECT * FROM [Users]");
$Smarty->assign("UsersList",$UsersList);

include("include/OtherLinks.php");

$Smarty->assign("Title","Users");
$Smarty->assign("Breadcrumb",array(
    array("Name"=>"Home","URL"=>"index.php"),
    array("Name"=>"Users","URL"=>"Users.php")
    )
);

$Smarty->assign("ExtraJQuery","
$('#users_table tbody tr').alternate();
$('#delete_user_dialog').dialog({
    autoOpen: false,
    autoSize: true,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        'Yes, I\'m sure': function() {
            $('#delete_user_form').submit();
            $(this).dialog('close');
        },
        'No, I\'ve changed my mind': function() {
            $(this).dialog('close');
        }
    }
});

$('#edit_user_dialog').dialog({
    autoOpen: false,
    autoSize: true,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        'Save User': function(){
            if( $('#editUser_Password').val() != $('#editUser_PasswordConfirm').val() )
            {
                $('#editUser_Password').addClass('ui-state-error');
                $('#editUser_PasswordConfirm').addClass('ui-state-error').after('<br/><span>Passwords do not match.</span>');
            }
            else
            {
                $('#edit_user_form').submit();
                $(this).dialog('close');
            }
        },
        'Cancel': function(){
            $(this).dialog('close');
        }
    }
});

$('#add_user_dialog').dialog({
    autoOpen: false,
    autoSize: true,
    width: 450,
    modal: true,
    resizable: false,
    buttons: {
        'Add User': function() {
            var pass = true;
            var password = $('#addUser_Password').val();
            var passwordConfirm = $('#addUser_PasswordConfirm').val();

            if( $('#addUser_Username').val() == '' )
            {
                $('#addUser_Username').addClass('ui-state-error').focus().after('<br/><span>Username is required.</span>');
                pass = false;
            }
            if( $('#addUser_Password').val() == '' && $('#addUser_LDAP').val() == '' )
            {
                $('#addUser_Password').addClass('ui-state-error').focus().after('<br/><span>Password is required for non-LDAP users.</span>');
                pass = false;
            }

            if( $('#addUser_Password').val() != $('#addUser_PasswordConfirm').val() )
            {
                $('#addUser_Password').addClass('ui-state-error').focus();
                $('#addUser_PasswordConfirm').addClass('ui-state-error').after('<br/><span>Passwords do not match.</span>');
                pass = false;
            }

            if( pass )
            {
                $('#add_user_form').submit();
                $(this).dialog('close');
            }
        },
        'Cancel': function() {
            $(this).dialog('close');
        }
    }
});
");
$Smarty->assign("ExtraJavaScript","
function removeUser( username )
{
    $('#deleteUser_Username').val(username);
    $('#delete_user_dialog').dialog('open');
}

function editUser( username )
{
    $.post('rest/GetUserDetails.php', { Username: username }, function( data ) {
        if( data.success == true )
        {
            $('#editUser_Username').val(data.UserDetails[0].Username);
            if( data.UserDetails[0].LDAP == 1 )
                $('#editUser_LDAP').check('on');
            else
                $('#editUser_LDAP').check('off');

            // This is going to be ugly
            var roles = data.UserDetails[0].Roles;
            var selected = [];
            s = 0;
            for( var i = 0; i <= 31; i++  )
            {
                var r = (1<<i);
                if( roles & r )
                {
                    selected[s] = ''+r+'';
                    s++;
                }
            }
            $('#editUser_Permissions').val(0);
            $('#editUser_Permissions').val(selected);

            $('#edit_user_dialog').dialog('open');

        }
        else
        {
            alert('Unable to complete request. Reason: ' + data.error);
        }
    }, 'json');
}
");
$Smarty->assign("JSIncludes",array(
        "js/jquery.alternate.min.js"
    )
);
$Smarty->assign("Error",isset($Error) ? $Error : "");
$Smarty->assign("Message",isset($Message) ? $Message : "" );
$Smarty->display("Users.tpl");
?>
