<?php
require("libs/Smarty.class.php");
require_once("class/DatabaseFactory.php");

$DB = DatabaseFactory::GetDatabase();

// Permission bits
$Permissions = array();
$Permissions['SERVER_EDIT'] = (1<<0);
$Permissions['SERVER_REMOVE'] = (1<<1);
$Permissions['SCANRANGE_ADD'] = (1<<2);
$Permissions['SCANRANGE_EDIT'] = (1<<3);
$Permissions['SCANRANGE_REMOVE'] = (1<<4);
$Permissions['COLLECTOR_ADD'] = (1<<5);
$Permissions['COLLECTOR_EDIT'] = (1<<6);
$Permissions['COLLECTOR_REMOVE'] = (1<<7);
$Permissions['CREDENTIALS_ADD'] = (1<<8);
$Permissions['CREDENTIALS_EDIT'] = (1<<9);
$Permissions['CREDENTIALS_REMOVE'] = (1<<10);
$Permissions['CUSTOMFIELDS_ADD'] = (1<<11);
$Permissions['CUSTOMFIELDS_EDIT'] = (1<<12);
$Permissions['CUSTOMFIELDS_REMOVE'] = (1<<13);
$Permissions['LINKS_ADD'] = (1<<14);
$Permissions['LINKS_EDIT'] = (1<<15);
$Permissions['LINKS_REMOVE'] = (1<<16);
$Permissions['USERS_ADD'] = (1<<17);
$Permissions['USERS_EDIT'] = (1<<18);
$Permissions['USERS_REMOVE'] = (1<<19);
$Permissions['SETTINGS_EDIT'] = (1<<20);

// Site settings
$SiteDetails = $DB->ExecuteQuery("SELECT * FROM [Settings]");
$SiteSettings = array();
foreach( $SiteDetails as $Setting )
{
    $SiteSettings[$Setting['Key']]=$Setting['Value'];
}


$Smarty = new Smarty();
$Smarty->template_dir = "templates";
$Smarty->config_dir = "config";
$Smarty->compile_check = true;
$Smarty->config_load("config.conf");

// Check for the theme
$Smarty->assign("Theme", isset($_COOKIE['Theme']) ? $_COOKIE['Theme'] : $SiteSettings['DefaultTheme']);

$Smarty->assign("SiteSettings",$SiteSettings);
// Themes
$ThemeOptions = array("ui-lightness"=>"Lightness","ui-darkness"=>"Darkness","smoothness"=>"Smoothness","xtrac"=>"XTrac","south-street"=>"South Street");
$Smarty->assign("ThemeOptions",$ThemeOptions);
$Smarty->assign("Permissions",$Permissions);
?>
