<?php
session_start();

require("../class/DatabaseFactory.php");
$DB = DatabaseFactory::GetDatabase();

if( empty($_POST) || !isset($_POST) )
{
    echo json_encode( array("success"=>false,"error"=>"Cannot handle empty request."));
    exit;
}
if( empty($_POST['Password']) || !isset($_POST['Password']) )
{
    echo json_encode( array("success"=>false,"error"=>"No blank passwords"));
    exit;
}

$LDAPDetails = $DB->ExecuteQuery("SELECT [Key], [Value] FROM [Settings] WHERE [Key] IN ('BaseDN','BindAnonymously','BindUserDN','BindUserPassword','LDAPPort','LDAPServer','SearchAttribute','UseLDAP')");
$LDAPSettings = array();
foreach( $LDAPDetails as $Setting )
{
    $LDAPSettings[$Setting['Key']]=$Setting['Value'];
}
$Username = $DB->MakeSafe($_POST['Username']);
$Password = $_POST['Password'];  // Not making this DB safe yet because we don't know if we're using the DB to authenticate

$UserDetails = $DB->ExecuteQuery("SELECT * FROM [Users] WHERE [Username]='$Username'");
$UserDetails = $UserDetails[0];

if( $UserDetails['LDAP'] == 1 && $LDAPSettings['UseLDAP'] == 1 )
{
    $ds = @ldap_connect($LDAPSettings['LDAPServer'],$LDAPSettings['LDAPPort']);
    if( !$ds )
    {
        echo json_encode(array("success"=>false,"error"=>"Unable to connect to LDAP server"));
        exit;
    }

    if( $LDAPSettings['BindAnonymously'] == 1 )
        $bind = @ldap_bind($ds);
    else
        $bind = @ldap_bind($ds,$LDAPSettings['BindUserDN'],$LDAPSettings['BindUserPassword']);

    if( !$bind )
    {
        echo json_encode(array("success"=>false,"error"=>"Unable to bind: ".ldap_error($ds)));
        exit;
    }

    $search = @ldap_search($ds,$LDAPSettings['BaseDN'],$LDAPSettings['SearchAttribute']."=".$Username);
    if( !$search )
    {
        echo json_encode(array("success"=>false,"error"=>"Unable to search: ".ldap_error($ds)));
        @ldap_unbind($ds);
        exit;
    }

    $count = @ldap_count_entries($ds,$search);
    if( $count > 1 )
    {
        echo json_encode(array("success"=>false,"error"=>"Search returned more than one entry: $count"));
        @ldap_unbind($ds);
        exit;
    }
    else if( $count == 0 )
    {
        echo json_encode(array("success"=>false,"error"=>"User not found"));
        @ldap_unbind($ds);
        exit;
    }

    $info = @ldap_get_entries($ds,$search);
    $bind = @ldap_bind($ds,$info[0]['dn'], $Password);
    if( !$bind || !isset($bind) )
    {
        echo json_encode(array("success"=>false,"error"=>"Wrong password"));
        @ldap_unbind($ds);
        exit;
    }

    @ldap_unbind($ds);
    echo json_encode(array("success"=>true,"roles"=>$UserDetails['Roles']));
    $_SESSION['Roles'] = $UserDetails['Roles'];
    $_SESSION['Username'] = $UserDetails['Username'];
    exit;
}
else if( $LDAPSettings['UseLDAP'] == 0 || $UserDetails['LDAP'] == 0 )   // DB authentication
{
    $Password = $DB->MakeSafe(md5($Password));
    if( $Password != $UserDetails['Password'] )
    {
        echo json_encode(array("success"=>false,"error"=>"Wrong password"));
        exit;
    }

    echo json_encode(array("success"=>true,"roles"=>$UserDetails['Roles']));
    $_SESSION['Roles'] = $UserDetails['Roles'];
    $_SESSION['Username'] = $UserDetails['Username'];
    exit;
}
else
{
    echo json_encode(array("success"=>false,"error"=>"No authentication method available for the specified user."));
    exit;
}
?>
