<?php
require("../class/DatabaseFactory.php");

$DB = DatabaseFactory::GetDatabase();

if( !isset($_POST) || empty($_POST) )
{
    echo json_encode(array("success"=>false,"error"=>"Cannot handle empty request."));
    exit;
}
else if( !isset($_POST['QueryOperator']) || !isset($_POST['QueryType']) || !isset($_POST['Value_Select']) )
{
    echo json_encode(array("success"=>false,"error"=>"Missing one or more required fields."));
    exit;
}
$QueryOperator = $_POST['QueryOperator'];
$Value = $QueryOperator == "IN" ? $_POST['Value_Select'] : $DB->MakeSafe($_POST['Value_Select']);
if( $Value == "CustomValue" )
    $Value = $QueryOperator == "IN" ? $_POST['Value_TextBox'] : $DB->MakeSafe(str_replace("*","%",$_POST['Value_TextBox']));

if( $QueryOperator == "IN" )
{
    $ValueListRaw = split(",",$Value);
    for( $i=0; $i < count($ValueListRaw); $i++ )
        $ValueListRaw[$i] = "'".trim($ValueListRaw[$i])."'";
    $Value = "(" . implode(",",$ValueListRaw) . ")";
}
else if( !is_numeric($Value) )
    $Value = "'$Value'";

$OrderBy = $DB->MakeSafe($_POST['SortBy']);

switch( $_POST['QueryType'] )
{
    case "collector":
        $FieldID = $DB->MakeSafe($_POST['CollectorField']);
        $Query = "SELECT [FieldValue], [FieldName], [DeviceName], [DeviceID] FROM [V_DEVICE_DATA] ";
        if( is_numeric($Value) )
            $Query .= "WHERE CAST( CAST([FieldValue] AS VARCHAR(MAX)) AS BIGINT)";
        else
            $Query .= "WHERE CAST([FieldValue] AS VARCHAR(MAX))";
        $Query .= "$QueryOperator $Value AND [FieldID]=$FieldID ORDER BY CAST([$OrderBy] AS VARCHAR(MAX))";
        try
        {
            $Result = $DB->ExecuteQuery($Query);
        }
        catch( Exception $e )
        {
            echo json_encode(array("success"=>false,"error"=>$e->GetMessage()));
            exit;
        }
        break;
    case "customfield":
        $FieldID = $DB->MakeSafe($_POST['CustomField']);
        $Query = "SELECT [Value] AS [FieldValue], [FieldName], [Name] AS [DeviceName], [DeviceID] FROM [V_DEVICE_CUSTOM_FIELDS] WHERE CAST([FieldValue] AS VARCHAR(MAX)) $QueryOperator $Value AND [CustomFieldID] = $FieldID ORDER BY CAST([$OrderBy] AS VARCHAR(MAX))";
        try
        {
            $Result = $DB->ExecuteQuery($Query);
        }
        catch( Exception $e )
        {
            echo json_encode(array("success"=>false,"error"=>$e->GetMessage()));
            exit;
        }
        break;
}

echo json_encode(array("success"=>true, "result"=>$Result));
?>
