<?php
require("../class/DatabaseFactory.php");
$DB = DatabaseFactory::GetDatabase();

$FieldID = isset($_POST['FieldID']) ? $DB->MakeSafe($_POST['FieldID']) : null;

if( $FieldID == null )
{
    echo json_encode(array("success"=>false,"error"=>"FieldID is a required field."));
    exit;
}

try
{
    $FieldType = $DB->ExecuteScalar("SELECT [Type] FROM [CollectorFields] WHERE [FieldID]=$FieldID");
    $FieldValues = $DB->ExecuteQuery("SELECT [Value] FROM [FieldValues] WHERE [FieldID]=$FieldID");
    // array_unique won't work correctly here because the return value is a set of nested associative arrays
    $FieldValuesUnique = array();
    foreach( $FieldValues as $FieldValue )
    {
        if( array_search($FieldValue["Value"],$FieldValuesUnique) === FALSE )
            array_push($FieldValuesUnique,$FieldValue["Value"]);
    }
    sort($FieldValuesUnique);

    if( $FieldType != "System.String" )
        $operators = array("=","<>",">","<",">=","<=","IN");
    else
        $operators = array("LIKE","NOT LIKE","IN");

    echo json_encode(array("success"=>true,"operators"=>$operators,"fieldValues"=>$FieldValuesUnique));
}
catch( Exception $e )
{
    echo json_encode(array("success"=>false,"error"=>$e->GetMessage()));
}
?>
