<?php
if( empty($_POST) )
{
    echo json_encode( array("success"=>false,"error"=>"Cannot have empty request"));
    exit;
}
if( !isset($_POST['Server']) ||
    !isset($_POST['Port']) ||
    !isset($_POST['BaseDN']) ||
    !isset($_POST['SearchAttribute']) )
{
    echo json_encode(array("success"=>false,"error"=>"Missing one or more required parameters"));
    exit;
}

// Try the connect
$ds = @ldap_connect($_POST['Server'],$_POST['Port']);
if( !$ds )
{
    echo json_encode(array("success"=>false,"error"=>"Could not connect to the specified LDAP server"));
    exit;
}

// Try the bind
if( isset($_POST['AnonymousBind']) && $_POST['AnonymousBind'] == "on" )
    $bind = @ldap_bind($ds);
else
    $bind = @ldap_bind($ds, $_POST['BindUser'], $_POST['BindPassword']);

if( !$bind )
{
    echo json_encode(array("success"=>false,"error"=>"Unable to bind."));
    exit;
}

// Search for the user
$search = @ldap_search($ds,$_POST['BaseDN'], $_POST['SearchAttribute']."=".$_POST['Username']);
if( !$search )
{
    echo json_encode(array("success"=>false,"error"=>"Unable to search.".ldap_errno($ds).",".ldap_error($ds)));
    @ldap_unbind($ds);
    exit;
}

// Count the returned results, if more than one, error
$EntryCount = @ldap_count_entries($ds,$search);
if( $EntryCount > 1 )
{
    echo json_encode(array("success"=>false,"error"=>"Search returned more than one entity ($EntryCount). $search"));
    exit;
}
else if( $EntryCount == 0 )
{
    @ldap_unbind($ds);
    echo json_encode(array("success"=>false,"error"=>"Search returned no results."));
    exit;
}

// Get the user DN
$info = @ldap_get_entries($ds,$search);
// Re-bind with new username and password
$bind = @ldap_bind($ds,$info[0]['dn'], $_POST['Password']);
if( !$bind || !isset($bind) )
{
    echo json_encode(array("success"=>false,"error"=>"Initial bind successful, but unable to rebind with supplied username/password.".ldap_error($ds)));
    @ldap_unbind($ds);
    exit;
}

@ldap_unbind($ds);
echo json_encode(array("success"=>true));
?>
