{include file="header.tpl"}
{if !($smarty.session.Roles & ($Permissions.CREDENTIALS_ADD | $Permissions.CREDENTIALS_EDIT | $Permissions.CREDENTIALS_REMOVE)) && ($SiteSettings.DisplayLogin == true || $SiteSettings.RequireLogin == true) }
    <p class="ui-state-error ui-corner-all ui-widget-content">You do not have access to this page. Please contact the site administrator if you feel that you require this type of access.</p>
{else}

{if $smarty.session.Roles & $Permissions.CREDENTIALS_ADD || $SiteSettings.DisplayLogin == false}
<div id="add_credentials_dialog" title="Add Agentless Credentials">
<form id="add_credentials_form" action="{$smarty.server.PHP_SELF}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="AddCredentials" />
        <table width="100%" class="ui-widget ui-widget-content">
            <tr>
                <td><label for="Username">Username</label></td>
                <td><input type="text" name="Username" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="Password">Password</label></td>
                <td><input type="text" name="Password" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label>Options</label></td>
                <td>
                    NTLM: <input type="checkbox" name="NTLM" />
                    Standard: <input type="checkbox" name="Standard"/>
                </td>
            </tr>
            <tr>
                <td><label for="Domain">NTLM Domain</label></td>
                <td><input type="text" name="Domain" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
        </table>
    </fieldset>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.CREDENTIALS_EDIT || $SiteSettings.DisplayLogin == false}
<div id="edit_credentials_dialog" title="Edit Agentless Credentials">
<form id="edit_credentials_form" action="{$smarty.server.PHP_SELF}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="EditCredentials" />
        <input type="hidden" id="edit_CredentialID" name="CredentialID" />
        <table width="100%" class="ui-widget ui-widget-content">
            <tr>
                <td><label for="Username">Username</label></td>
                <td><input id="edit_Username" type="text" name="Username" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="Password">Password</label></td>
                <td><input id="edit_Password" type="text" name="Password" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label>Options</label></td>
                <td>
                    NTLM: <input id="edit_NTLM" type="checkbox" name="NTLM" />
                    Standard: <input id="edit_Standard" type="checkbox" name="Standard"/>
                </td>
            </tr>
            <tr>
                <td><label for="Domain">NTLM Domain</label></td>
                <td><input id="edit_Domain" type="text" name="Domain" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
        </table>
    </fieldset>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.CREDENTIALS_REMOVE || $SiteSettings.DisplayLogin == false}
<div id="delete_confirm_dialog" title="Are you sure?">
    <form id="delete_form" action="{$smarty.server.PHP_SELF}" method="post">
    <input type="hidden" name="action" value="DeleteCredentials" />
    <input type="hidden" name="CredentialID" id="delete_CredentialID" />
    </form>
    <p><span class="ui-icon ui-icon-alert" style="float:left; margin: 0px 7px 7px 0px;">&nbsp;</span>This operation is not reversable. Are you sure you want to delete this credential?</p>
</div>
{/if}

<div id="agentless-credentials-contain" class="ui-widget">
<h2>{$Title}</h2>
<hr />
<div id="help" class="ui-corner-all ui-widget ui-widget-content">
<h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
<p>Agentless scan credentials are used during the gathering phase of KnowIT.
These credentials are supplied to the target device once discovered on the network
in order to gather more information. These are effectively login credentials
to the devices on your network.</p>
<p>KnowIT does <b>not</b> require Active Directory or any other LDAP system to function.
If your organization uses workgroups, supply all possible credentials here in order for effective
gathering. If your organization uses Active Directory or another authentication provider, check
the box that says &quot;NTLM&quot; and supply a domain to go along with the username.</p>
</div>

<table id="agentless_credentials" class="ui-widget ui-widget-content" width="100%">
    <thead>
        <tr class="ui-widget-header">
            <th>Username</th>
            <th>Password</th>
            <th>NTLM</th>
            <th>Domain</th>
            <th>Standard</th>
            <th>Device Count</th>
            {if $smarty.session.Roles & ($Permissions.CREDENTIALS_EDIT | $Permissions.CREDENTIALS_REMOVE) || $SiteSettings.DisplayLogin == false}
                {assign var='colspan' value=7}
                <th>Edit/Remove</th>
            {else}
                {assign var='colspan' value=6}
            {/if}
        </tr>
    </thead>
    <tbody>
        {section name=cred loop=$CredentialsList}
        <tr>
            <td>{$CredentialsList[cred].Username}</td>
            <td>
                <span id="password_{$CredentialsList[cred].CredentialID}" class="password_hidden">hidden</span>
                <br/>
                <button id="showpasswd_{$CredentialsList[cred].CredentialID}" class="ui-button ui-corner-all ui-state-default" onClick="showPassword({$CredentialsList[cred].CredentialID})">Show</button>
                <button style="visibility: hidden" id="hidepasswd_{$CredentialsList[cred].CredentialID}" class="ui-button ui-corner-all ui-state-default" onClick="hidePassword({$CredentialsList[cred].CredentialID})">Hide</button>
            </td>
            <td>
                {if $CredentialsList[cred].NTLM == 1}
                    <span class="ui-state-highlight"><span class="ui-icon ui-icon-circle-check">&nbsp;</span></span>
                {else}
                    <span class="ui-state-error"><span class="ui-icon ui-icon-circle-close">&nbsp;</span></span>
                {/if}
            </td>
            <td>{$CredentialsList[cred].Domain}</td>
            <td>
                {if $CredentialsList[cred].Standard == 1}
                    <span class="ui-state-highlight"><span class="ui-icon ui-icon-circle-check">&nbsp;</span></span>
                {else}
                    <span class="ui-state-error"><span class="ui-icon ui-icon-circle-close">&nbsp;</span></span>
                {/if}
            </td>
            <td>{$CredentialsList[cred].DevicesUsing}</td>
            {if $smarty.session.Roles & ($Permissions.CREDENTIALS_EDIT | $Permissions.CREDENTIALS_REMOVE) || $SiteSettings.DisplayLogin == false}
            <td>
                <a class="ui-state-default" style="float: left; border: 0;" href="javascript:editCredentials({$CredentialsList[cred].CredentialID},'{$CredentialsList[cred].Username|escape:'javascript'}',{$CredentialsList[cred].NTLM|escape:'javascript'},'{$CredentialsList[cred].Domain|escape:'javascript'}',{$CredentialsList[cred].Standard|escape:'javascript'},{$CredentialsList[cred].SSH|escape:'javascript'});" title="Edit this credential"><span class="ui-icon ui-icon-pencil">&nbsp;</span></a>
                <a class="ui-state-default" style="float: left; border: 0;" href="javascript:confirmDelete({$CredentialsList[cred].CredentialID})" title="Remove this credential"><span class="ui-icon ui-icon-circle-minus">&nbsp;</span></a>
            </td>
            {/if}
        </tr>
        {sectionelse}
        <tr><td colspan="{$colspan}">No agentless credentials defined.</td></tr>
        {/section}
    </tbody>
</table>
<br/>
{if $smarty.session.Roles & $Permissions.CREDENTIALS_ADD || $SiteSettings.DisplayLogin == false}
    <button class="ui-button ui-corner-all ui-state-default" id="add_credentials">Add New Credentials</button>
{/if}
</div>
{/if}
{include file="footer.tpl"}