{include file="header.tpl"}

{if $smarty.session.Roles & $Permissions.COLLECTOR_ADD || $SiteSettings.DisplayLogin == false}
<div id="add_collector_dialog" title="Add New Collector">
<form id="add_collector_form" action="{$smarty.server.PHP_SELF}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="AddCollector" />
        <table width="100%" class="ui-widget ui-widget-content">
            <tr>
                <td><label for="CollectorName">Collector Name</label></td>
                <td><input type="text" name="CollectorName" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="WMITable">WMI Table</label></td>
                <td><input type="text" name="WMITable" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="WhereClause">Where Clause</label></td>
                <td><input type="text" name="WhereClause" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
        </table>
    </fieldset>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.COLLECTOR_EDIT || $SiteSettings.DisplayLogin == false}
<div id="edit_collector_dialog" title="Edit Collector">
<form id="edit_collector_form" action="{$smarty.server.PHP_SELF}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="EditCollector" />
        <input type="hidden" name="CollectorID" id="edit_CollectorID" />
        <table width="100%" class="ui-widget ui-widget-content">
            <tr>
                <td><label for="CollectorName">Collector Name</label></td>
                <td><input id="edit_CollectorName" type="text" name="CollectorName" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="WMITable">WMI Table</label></td>
                <td><input id="edit_WMITable" type="text" name="WMITable" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="WhereClause">Where Clause</label></td>
                <td><input id="edit_WhereClause" type="text" name="WhereClause" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
        </table>
    </fieldset>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.COLLECTOR_REMOVE || $SiteSettings.DisplayLogin == false}
<div id="delete_confirm_dialog" title="Are you sure?">
    <form id="delete_form" action="{$smarty.server.PHP_SELF}" method="post">
    <input type="hidden" name="action" value="DeleteCollector" />
    <input type="hidden" name="CollectorID" id="delete_CollectorID" />
    </form>
    <p><span class="ui-icon ui-icon-alert" style="float:left; margin: 0px 7px 7px 0px;">&nbsp;</span>This operation is not reversable. All information about this collector entity will be removed from every device in the database. Are you sure you want to delete this collector?</p>
</div>
{/if}

<div id="collectors-contain" class="ui-widget">
<h2>{$Title}</h2>
<hr/>
<div id="help" class="ui-corner-all ui-widget ui-widget-content">
<h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
<p>Collectors tell KnowIT what information to gather about a remote system. A collector represents a unit of information which
contain fields to describe information about a particular system component.</p>
<p>Click on a collector name, or the wrench icon, to view or modify the fields contained inside of that particular collector.</p>
</div>

{assign var='colspan' value='3'}
<table id="collectors" class="ui-widget ui-widget-content" width="100%">
    <thead>
        <tr class="ui-widget-header">
            <th>Collector Name</th>
            <th>WMI Table</th>
            <th>Where Clause</th>
            {if $smarty.session.Roles & ($Permissions.COLLECTOR_EDIT | $Permissions.COLLECTOR_REMOVE) || $SiteSettings.DisplayLogin == false}
                {assign var='colspan' value=$colspan+1}
                <th>Edit</th>
            {/if}
        </tr>
    </thead>
    <tbody>
    {section name=collectors loop=$CollectorsList}
    <tr>
        <td><a href="EditCollectorFields.php?CollectorID={$CollectorsList[collectors].CollectorID}">{$CollectorsList[collectors].Name}</a></td>
        <td>{$CollectorsList[collectors].WMITable}</td>
        <td>{$CollectorsList[collectors].WhereClause}</td>
        {if $smarty.session.Roles & ($Permissions.COLLECTOR_EDIT | $Permissions.COLLECTOR_REMOVE) || $SiteSettings.DisplayLogin == false}
        <td>
            {if $smarty.session.Roles & $Permissions.COLLECTOR_EDIT || $SiteSettings.DisplayLogin == false}
                <a class="ui-state-default" style="float: left;border:0" href="javascript:editCollector({$CollectorsList[collectors].CollectorID},'{$CollectorsList[collectors].Name|escape:'javascript'}','{$CollectorsList[collectors].WMITable|escape:'javascript'}','{$CollectorsList[collectors].WhereClause|escape:'javascript'}');" title="Edit this collector"><span class="ui-icon ui-icon-pencil">&nbsp;</span></a>
            {/if}
            {if $smarty.session.Roles & $Permissions.COLLECTOR_REMOVE || $SiteSettings.DisplayLogin == false}
                <a class="ui-state-default" style="float: left;border:0" href="javascript:confirmDelete({$CollectorsList[collectors].CollectorID})" title="Delete this collector"><span class="ui-icon ui-icon-circle-minus">&nbsp;</span></a>
            {/if}
        </td>
        {/if}
    </tr>
    {sectionelse}
    <tr>
        <td colspan="{$colspan}">No collectors defined.</td>
    </tr>
    {/section}
    </tbody>
</table>
<br/>
{if $smarty.session.Roles & $Permissions.COLLECTOR_ADD || $SiteSettings.DisplayLogin == false}
    <button class="ui-button ui-corner-all ui-state-default" id="add_collector">Add Collector</button>
{/if}
</div>

{include file="footer.tpl"}