{include file="header.tpl"}

{if $smarty.session.Roles & $Permissions.CUSTOMFIELDS_ADD || $SiteSettings.DisplayLogin == false}
<div id="add_field_dialog" title="Add Custom Field">
<form id="add_field_form" action="{$smarty.server.PHP_SELF}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="AddField">
        <table width="100%" class="ui-widget ui-widget-content">
            <tr>
                <td><label for="FieldName">Field Name</label></td>
                <td><input type="text" name="FieldName" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="FieldType">Field Type</label></td>
                <td>
                    <select class="text ui-widget-content ui-corner-all" name="FieldType" id="add_FieldType">
                        <option value="text">Text</option>
                        <option value="combo">Combo Box</option>
                        <option value="multiselect">Multi-Select Box</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td><label for="PossibleValues">Possible Values (one per line)</label></td>
                <td><textarea rows="4" cols="49" id="add_PossibleValues" type="text" name="PossibleValues" class="ui-widget-content ui-corner-all text"></textarea></td>
            </tr>
            <tr>
                <td><label for="Description">Description</label></td>
                <td><textarea rows="4" cols="49" name="Description" class="text ui-corner-all ui-widget-content"></textarea></td>
            </tr>
        </table>
    </fieldset>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.CUSTOMFIELDS_EDIT || $SiteSettings.DisplayLogin == false}
<div id="edit_field_dialog" title="Edit Collector Field">
<form id="edit_field_form" action="{$smarty.server.PHP_SELF}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="EditField" />
        <input type="hidden" name="CustomFieldID" id="edit_CustomFieldID" />
        <table width="100%" class="ui-widget ui-widget-content">
            <tr>
                <td><label for="FieldName">Field Name</label></td>
                <td><input id="edit_FieldName" type="text" name="FieldName" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="FieldType">Field Type</label></td>
                <td>
                    <select class="text ui-widget-content ui-corner-all" name="FieldType" id="edit_FieldType">
                        <option value="text">Text</option>
                        <option value="combo">Combo Box</option>
                        <option value="multiselect">Multi-Select Box</option>
                    </select>
                </td>
            </tr>
            <tr>
                <td><label for="PossibleValues">Possible Values (one per line)</label></td>
                <td><textarea rows="4" cols="49" id="edit_PossibleValues" type="text" name="PossibleValues" class="ui-widget-content ui-corner-all text"></textarea></td>
            </tr>
            <tr>
                <td><label for="Description">Description</label></td>
                <td><textarea rows="4" cols="49" name="Description" id="edit_Description" class="text ui-widget-content ui-corner-all"></textarea></td>
            </tr>
        </table>
    </fieldset>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.CUSTOMFIELDS_REMOVE || $SiteSettings.DisplayLogin == false}
<div id="delete_confirm_dialog" title="Are you sure?">
    <form id="delete_form" action="{$smarty.server.PHP_SELF}" method="post">
    <input type="hidden" name="action" value="DeleteField" />
    <input type="hidden" name="CustomFieldID" id="delete_CustomFieldID" />
    </form>
    <p><span class="ui-icon ui-icon-alert" style="float:left; margin: 0px 7px 7px 0px;">&nbsp;</span>This operation is not reversable. Are you sure you want to delete this field?</p>
</div>
{/if}

<div id="custom-fields-contain" class="ui-widget">
<h2>{$Title}</h2>
<hr/>
<div id="help" class="ui-corner-all ui-widget ui-widget-content">
<h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
<p>Custom fields are user-definable and editable fields which can contain anything you like. These are most useful when entering
any business information about a device such as the functional owner or maintenance information.</p>
<p>Information contained in these fields must be validated every 30 days to ensure accuracy.</p>
</div>

<table id="custom_fields" class="ui-widget ui-widget-content" width="100%">
    <thead>
        <tr class="ui-widget-header">
            <th>Field Name</th>
            <th>Description</th>
            {if $smarty.session.Roles & ($Permissions.CUSTOMFIELDS_EDIT | $Permissions.CUSTOMFIELDS_REMOVE) || $SiteSettings.DisplayLogin == false}
                {assign var='colspan' value=3}
                <th>Edit/Remove</th>
            {else}
                {assign var='colspan' value=2}
            {/if}
        </tr>
    </thead>
    <tbody>
        {section name=fields loop=$CustomFieldsList}
        <tr>
            <td>{$CustomFieldsList[fields].FieldName}</td>
            <td>{$CustomFieldsList[fields].Description}</td>
            {if $smarty.session.Roles & ($Permissions.CUSTOMFIELDS_EDIT | $Permissions.CUSTOMFIELDS_REMOVE) || $SiteSettings.DisplayLogin == false}
            <td>
                {if $smarty.session.Roles & $Permissions.CUSTOMFIELDS_EDIT || $SiteSettings.DisplayLogin == false}
                    <a class="ui-state-default" style="float: left;border:0" href="javascript:editField({$CustomFieldsList[fields].CustomFieldID})" title="Edit this field"><span class="ui-icon ui-icon-pencil">&nbsp;</span></a>
                {/if}

                {if $smarty.session.Roles & $Permissions.CUSTOMFIELDS_REMOVE || $SiteSettings.DisplayLogin == false}
                    <a class="ui-state-default" style="float: left;border:0" href="javascript:confirmDelete({$CustomFieldsList[fields].CustomFieldID})" title="Remove this field"><span class="ui-icon ui-icon-circle-minus">&nbsp;</span></a>
                {/if}
            </td>
            {/if}
        </tr>
        {sectionelse}
        <tr>
            <td colspan="{$colspan}">No custom fields defined.</td>
        </tr>
        {/section}
    </tbody>
</table>
<br/>
{if $smarty.session.Roles & $Permissions.CUSTOMFIELDS_ADD || $SiteSettings.DisplayLogin == false}
<button class="ui-button ui-corner-all ui-state-default" id="add_field">Add Custom Field</button>
{/if}
</div>

{include file="footer.tpl"}