{assign var='Title' value='Custom Query'}
{include file="header.tpl"}
<h2>Custom Query</h2>
<hr/>

<div id="help" class="ui-corner-all ui-widget ui-widget-content">
<h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
<p>From here it is possible to query against any custom, or automatically populated field. The output is a list of devices matching the specified criteria and a list of the values for each critera.</p>
<p>To run a query, select the query type and formulate a condition to evaluate and then click &quot;Run Query&quot;. To use the IN operator, select &quot;Enter Value...&quot; from the
value dropdown and put a comma seperated list of values in the text box to the right. For the LIKE and NOT LIKE operators, wildcards may be used by using an asterisk (*) in the query value; &quot;Enter Value...&quot;
must be selected.</p>
</div>

<div>
Select Query Type:
<select id="QueryType" onChange="showQueryForm(this.value)">
    <option value="collector">Collector</option>
    <option value="customfield">Custom Field</option>
</select><br/>
</div>

<div id="collector_query_form">

<input type="hidden" name="QueryType" value="collector" />
Select Collector:
<select id="Collector" onChange="populateCollectorFields(this.value)">
    {section name=collector loop=$CollectorList}
        <option value="{$CollectorList[collector].CollectorID}">{$CollectorList[collector].Name}</option>
    {/section}
</select><br/>
Condition:
<span id="CollectorFieldSelect">
<select disabled="disabled">
    <option>Select a Collector...</option>
</select>
</span>
<select id="CollectorFieldOperator" name="QueryOperator">
    <option value="=">=</option>
    <option value="LIKE">LIKE</option>
    <option value="<>">&lt;&gt;</option>
    <option value=">">&gt;</option>
    <option value="<">&lt;</option>
    <option value=">=">&gt;=</option>
    <option value="<=">&lt;=</option>
</select>
<span id="CollectorFieldValueSelect">
    <select name="Value_Select" disabled="disabled">
        <option>Select a Field...</option>
    </select>
</span>
<input type="text" class="ui-text" name="Value_TextBox" id="CollectorFieldValue_TextBox" disabled="disabled" />
<button type="button" class="ui-button ui-state-default ui-corner-all" onClick="runCustomQuery('collector')">Run Query</button>
</div>

<div id="customfield_query_form">
<input type="hidden" name="QueryType" value="customfield" />
Condition:
<select id="CustomField" name="CustomField" onChange="populateCustomFieldValues(this.value)">
    {section name=field loop=$CustomFields}
        <option value="{$CustomFields[field].CustomFieldID}">{$CustomFields[field].FieldName}</option>
    {/section}
</select>
<select id="CustomFieldOperator" name="QueryOperator">
    <option value="LIKE">LIKE</option>
    <option value="NOT LIKE">NOT LIKE</option>
    <option value="IN">IN</option>
</select>
<span id="CustomFieldValueSelect">
    <select name="Value_Select" disabled="disabled">
        <option>Select a Field...</option>
    </select>
</span>
<input type="text" class="ui-text" name="Value_TextBox" id="CustomFieldValue_TextBox" disabled="disabled" />
<button type="button" class="ui-button ui-state-default ui-corner-all" onClick="runCustomQuery('customfield')">Run Query</button>
</div>

Sort By: <select id="SortBy">
    <option value="DeviceName">Device Name</option>
    <option value="FieldValue">Value</option>
</select>

<h3>Query Results</h3>
<div id="QueryResults"><em>No results to display. Run a query first.</em></div>

{include file="footer.tpl"}