{include file="header.tpl"}

{if $smarty.session.Roles & $Permissions.COLLECTOR_EDIT || $SiteSettings.DisplayLogin == false}
<div id="add_field_dialog" title="Add Collector Field">
<form id="add_field_form" action="{$smarty.server.PHP_SELF}?CollectorID={$smarty.get.CollectorID}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="AddField" />
        <table width="100%" class="ui-widget ui-widget-content">
            <tr>
                <td><label for="FieldName">Field Name</label></td>
                <td><input type="text" name="FieldName" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="Type">Type</label></td>
                <td>
                    <select name="Type" class="ui-corner-all ui-widget ui-widget-content">
                        <option value="System.String">String</option>
                        <option value="System.Int32">32-bit Integer</option>
                        <option value="System.Int64">64-bit Integer</option>
                    </select>
                </td>
            </tr>
        </table>
    </fieldset>
</form>
</div>

<div id="edit_field_dialog" title="Edit Collector Field">
<form id="edit_field_form" action="{$smarty.server.PHP_SELF}?CollectorID={$smarty.get.CollectorID}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="EditField" />
        <input type="hidden" name="FieldID" id="edit_FieldID"/>
        <table width="100%" class="ui-widget ui-widget-content">
            <tr>
                <td><label for="FieldName">Field Name</label></td>
                <td><input id="edit_FieldName" type="text" name="FieldName" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="Type">Type</label></td>
                <td>
                    <select id="edit_Type" name="Type" class="ui-corner-all ui-widget ui-widget-content">
                        <option value="System.String">String</option>
                        <option value="System.Int32">32-bit Integer</option>
                        <option value="System.Int64">64-bit Integer</option>
                    </select>
                </td>
            </tr>
        </table>
    </fieldset>
</form>
</div>

<div id="delete_confirm_dialog" title="Are you sure?">
    <form id="delete_form" action="{$smarty.server.PHP_SELF}?CollectorID={$smarty.get.CollectorID}" method="post">
    <input type="hidden" name="action" value="DeleteField" />
    <input type="hidden" name="FieldID" id="delete_FieldID" />
    </form>
    <p><span class="ui-icon ui-icon-alert" style="float:left; margin: 0px 7px 7px 0px;">&nbsp;</span>This operation is not reversable. Are you sure you want to delete this field?</p>
</div>
{/if}

<div id="collector-fields-contain" class="ui-widget">
<a href="Collectors.php" class="ui-state-default" style="border:0"><span class="ui-icon ui-icon-circle-arrow-w" style="float:left;margin-right:4px;">&nbsp;</span>Back to Collector List</a>
<h2>{$Title}</h2>
<hr/>
<div id="help" class="ui-corner-all ui-widget ui-widget-content">
<h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
<p>Collector fields are the bits of information that are used to describe a particular collector. For example, for the collector
PhysicalDisk, some items used to describe it would be Size, Manufacturer, or Model.</p>
</div>

<h4>Editing: {$CollectorName}</h4>
<table id="collector_fields" class="ui-widget ui-widget-content" width="100%">
    <thead>
        <tr class="ui-widget-header">
            <th>Field Name</th>
            <th>Type</th>
            {if $smarty.session.Roles & $Permissions.COLLECTOR_EDIT || $SiteSettings.DisplayLogin == false}
                {assign var='colspan' value=3}
                <th>Edit/Remove</th>
            {else}
                {assign var='colspan' value=2}
            {/if}
        </tr>
    </thead>
    <tbody>
        {section name=fields loop=$CollectorFieldsList}
        <tr>
            <td>{$CollectorFieldsList[fields].Name}</td>
            <td>{$CollectorFieldsList[fields].Type}</td>
            {if $smarty.session.Roles & $Permissions.COLLECTOR_EDIT || $SiteSettings.DisplayLogin == false}
            <td>
                <a class="ui-state-default" style="float: left;border:0" href="javascript:editField({$CollectorFieldsList[fields].FieldID},'{$CollectorFieldsList[fields].Name|escape:'javascript'}','{$CollectorFieldsList[fields].Type|escape:'javascript'}','{$CollectorFieldsList[fields].ProcFileKey|escape:'javascript'}');" title="Edit this field"><span class="ui-icon ui-icon-pencil">&nbsp;</span></a>
                <a class="ui-state-default" style="float: left;border:0" href="javascript:confirmDelete({$CollectorFieldsList[fields].FieldID})" title="Remove this field"><span class="ui-icon ui-icon-circle-minus">&nbsp;</span></a>
            </td>
            {/if}
        </tr>
        {sectionelse}
        <tr>
            <td colspan="{$colspan}">No fields defined.</td>
        </tr>
        {/section}
    </tbody>
</table>
<br/>
{if $smarty.session.Roles & $Permissions.COLLECTOR_EDIT || $SiteSettings.DisplayLogin == false}
    <button class="ui-button ui-corner-all ui-state-default" id="add_field">Add Field</button>
{/if}
</div>

{include file="footer.tpl}