{include file="header.tpl"}

{if $smarty.session.Roles & $Permissions.SCANRANGE_ADD || $SiteSettings.DisplayLogin == false}
<div id="add_scan_range_dialog" title="Add Scan Range">
<form id="add_scan_range_form" action="{$smarty.server.PHP_SELF}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="AddScanRange" />
        <table  width="100%" class="ui-widget ui-widget-content">
        <tr>
            <td><label for="SiteName">Site Name</label></td>
            <td><input type="text" name="SiteName" class="text ui-widget-content ui-corner-all" /></td>
        </tr>
        <tr>
            <td><label for="BeginIP">Begin IP</label></td>
            <td><input type="text" name="BeginIP" class="text ui-widget-content ui-corner-all" /></td>
        </tr>
        <tr>
            <td><label for="EndIP">End IP</label></td>
            <td><input type="text" name="EndIP" class="text ui-widget-content ui-corner-all" /></td>
        </tr>
        <tr>
            <td><label for="Enabled">Enabled</label></td>
            <td><input type="checkbox" name="Enabled" /></td>
        </tr>
        </table>
    </fieldset>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.SCANRANGE_EDIT || $SiteSettings.DisplayLogin == false}
<div id="edit_scan_range_dialog" title="Edit Scan Range">
<form id="edit_scan_range_form" action="{$smarty.server.PHP_SELF}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="EditScanRange" />
        <input type="hidden" name="ScanRangeID" id="edit_ScanRangeID" />
        <table  width="100%" class="ui-widget ui-widget-content">
        <tr>
            <td><label for="SiteName">Site Name</label></td>
            <td><input type="text" name="SiteName" id="edit_SiteName" class="text ui-widget-content ui-corner-all" /></td>
        </tr>
        <tr>
            <td><label for="BeginIP">Begin IP</label></td>
            <td><input type="text" name="BeginIP" id="edit_BeginIP" class="text ui-widget-content ui-corner-all" /></td>
        </tr>
        <tr>
            <td><label for="EndIP">End IP</label></td>
            <td><input type="text" name="EndIP" id="edit_EndIP" class="text ui-widget-content ui-corner-all" /></td>
        </tr>
        <tr>
            <td><label for="Enabled">Enabled</label></td>
            <td><input type="checkbox" name="Enabled" id="edit_Enabled" /></td>
        </tr>
    </table>
    </fieldset>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.SCANRANGE_REMOVE || $SiteSettings.DisplayLogin == false}
<div id="delete_confirm_dialog" title="Are you sure?">
    <form id="delete_form" action="{$smarty.server.PHP_SELF}" method="post">
    <input type="hidden" name="action" value="DeleteScanRange" />
    <input type="hidden" name="ScanRangeID" id="delete_ScanRangeID" />
    </form>
    <p><span class="ui-icon ui-icon-alert" style="float:left; margin: 0px 7px 7px 0px;">&nbsp;</span>This operation is not reversable. Deleting this scan range will also delete ALL devices associated with this scan range. Are you sure you want to delete this scan range?</p>
</div>
{/if}

<div id="ipscanranges-contain" class="ui-widget">
<h2>{$Title}</h2>
<hr />
<div id="help" class="ui-widget ui-widget-content ui-corner-all">
<h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
<p>This is the list of IP address ranges that KnowIT will automatically scan periodically to populate the database.</p>
</div>
                            
<table id="scanranges" class="ui-widget ui-widget-content" width="100%">
    <thead>
        <tr class="ui-widget-header">
            <th width="200">Site Name</th>
            <th>Begin IP</th>
            <th>End IP</th>
            <th>Enabled</th>
            {if $smarty.session.Roles & ($Permissions.SCANRANGE_EDIT | $Permissions.SCANRANGE_REMOVE) || $SiteSettings.DisplayLogin == false}
                {assign var=colspan value=5}
                <th>Edit/Remove</th>
            {else}
                {assign var=colspan value=4}
            {/if}
        </tr>
    </thead>
    <tbody>
        {section name=ranges loop=$ScanRangeList}
        <tr>
            <td>{$ScanRangeList[ranges].SiteName}</td>
            <td>{$ScanRangeList[ranges].IPStart}</td>
            <td>{$ScanRangeList[ranges].IPEnd}</td>
            <td>
                {if $ScanRangeList[ranges].Enabled == 1}
                    <span class="ui-state-highlight"><span class="ui-icon ui-icon-circle-check">&nbsp;</span></span>
                {else}
                    <span class="ui-state-error"><span class="ui-icon ui-icon-circle-close">&nbsp;</span></span>
                {/if}
            </td>
            {if $smarty.session.Roles & ($Permissions.SCANRANGE_EDIT | $Permissions.SCANRANGE_REMOVE) || $SiteSettings.DisplayLogin == false}
            <td>
                {if $smarty.session.Roles & $Permissions.SCANRANGE_EDIT || $SiteSettings.DisplayLogin == false}
                    <a class="ui-state-default" style="float: left;border:0" href="javascript:editScanRange({$ScanRangeList[ranges].ID},'{$ScanRangeList[ranges].SiteName|escape:'javascript'}','{$ScanRangeList[ranges].IPStart|escape:'javascript'}','{$ScanRangeList[ranges].IPEnd|escape:'javascript'}', {$ScanRangeList[ranges].Enabled});" title="Edit this scan range"><span class="ui-icon ui-icon-pencil">&nbsp;</span></a>
                {/if}
                {if $smarty.session.Roles & $Permissions.SCANRANGE_REMOVE || $SiteSettings.DisplayLogin == false}
                    <a class="ui-state-default" style="float: left;border:0" href="javascript:confirmDelete({$ScanRangeList[ranges].ID})" title="Delete this scan range"><span class="ui-icon ui-icon-circle-minus">&nbsp;</span></a>
                {/if}
            </td>
            {/if}
        </tr>
        {sectionelse}
        <tr>
            <td colspan="{$colspan}">No scan ranges defined.</td>
        </tr>
        {/section}
    </tbody>
</table>
<br/>
<button class="ui-button ui-corner-all ui-state-default" id="add_scan_range">Add Scan Range</button>
</div>

{include file="footer.tpl"}