{include file="header.tpl"}

{if $smarty.session.Roles & $Permissions.LINKS_ADD || $SiteSettings.DisplayLogin == false}
<div id="add_link_dialog" title="Add New Link">
<form id="add_link_form" action="{$smarty.server.PHP_SELF}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="AddLink" />
        <table width="100%" class="ui-widget ui-widget-content">
            <tr>
                <td><label for="LinkName">Link Name</label></td>
                <td><input type="text" name="LinkName" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="URL">URL</label></td>
                <td><input type="text" name="URL" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="TargetWindow">Target Window</label></td>
                <td><input type="text" name="TargetWindow" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
        </table>
    </fieldset>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.LINKS_EDIT || $SiteSettings.DisplayLogin == false}
<div id="edit_link_dialog" title="Edit Link">
<form id="edit_link_form" action="{$smarty.server.PHP_SELF}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="EditLink" />
        <input type="hidden" id="edit_LinkNameOld" name="LinkNameOld" />
        <table width="100%" class="ui-widget ui-widget-content">
            <tr>
                <td><label for="LinkName">Link Name</label></td>
                <td><input id="edit_LinkName" type="text" name="LinkName" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="URL">URL</label></td>
                <td><input id="edit_URL" type="text" name="URL" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
            <tr>
                <td><label for="TargetWindow">Target Window</label></td>
                <td><input id="edit_TargetWindow" type="text" name="TargetWindow" size="50" class="text ui-widget-content ui-corner-all" /></td>
            </tr>
        </table>
    </fieldset>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.LINKS_REMOVE || $SiteSettings.DisplayLogin == false}
<div id="delete_confirm_dialog" title="Are you sure?">
    <form id="delete_form" action="{$smarty.server.PHP_SELF}" method="post">
    <input type="hidden" name="action" value="DeleteLink" />
    <input type="hidden" name="LinkName" id="delete_LinkName" />
    </form>
    <p><span class="ui-icon ui-icon-alert" style="float:left; margin: 0px 7px 7px 0px;">&nbsp;</span>This operation is not reversable. Are you sure you want to delete this link?</p>
</div>
{/if}

<div id="other-links-contain" class="ui-widget">
<h2>{$Title}</h2>
<hr/>
<div id="help" class="ui-corner-all ui-widget ui-widget-content">
<h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
<p>The list of &quot;Other Links&quot; will appear in the &quot;Other Links&quot; section of the navigation accordion.
It is useful for linking to other external documentation sources, or other useful websites.</p>
</div>

<table id="other_links" class="ui-widget ui-widget-content" width="100%">
    <thead>
        <tr class="ui-widget-header">
            <th>Link Name</th>
            <th>URL</th>
            <th>Target Window</th>
            {if $smarty.session.Roles & ($Permissions.LINKS_EDIT | $Permissions.LINKS_REMOVE) || $SiteSettings.DisplayLogin == false}
                <th>Edit/Remove</th>
            {else}
                {assign var='colspan' value=3}
            {/if}
        </tr>
    </thead>
    <tbody>
        {section name=link loop=$LinksList}
        <tr>
            <td>{$LinksList[link].Name}</td>
            <td><a href="{$LinksList[link].URL}" target="{$LinksList[link].Target}">{$LinksList[link].URL}</a></td>
            <td>{$LinksList[link].Target}</td>
            {if $smarty.session.Roles & ($Permissions.LINKS_EDIT | $Permissions.LINKS_REMOVE) || $SiteSettings.DisplayLogin == false}
            <td>
                {if $smarty.session.Roles & $Permissions.LINKS_EDIT || $SiteSettings.DisplayLogin == false}
                    <a class="ui-state-default" style="float: left;border:0" href="javascript:editLink('{$LinksList[link].Name|escape:javascript}','{$LinksList[link].URL|escape:javascript}','{$LinksList[link].Target|escape:javascript}');" title="Edit This Link"><span class="ui-icon ui-icon-pencil">&nbsp;</span></a>
                {/if}
                {if $smarty.session.Roles & $Permissions.LINKS_REMOVE || $SiteSettings.DisplayLogin == false}
                    <a class="ui-state-default" style="float: left;border:0" href="javascript:confirmDelete('{$LinksList[link].Name|escape:javascript}')" title="Remove Link"><span class="ui-icon ui-icon-circle-close">&nbsp;</span></a>
                {/if}
            </td>
            {/if}
        </tr>
        {sectionelse}
            <tr><td colspan="{$colspan}">No links defined.</td></tr>
        {/section}
    </tbody>
</table>
<br/>
{if $smarty.session.Roles & $Permissions.LINKS_ADD || $SiteSettings.DisplayLogin == false}
    <button class="ui-button ui-corner-all ui-state-default" id="add_link">Add New Link</button>
{/if}
</div>

{include file="footer.tpl"}