{include file="header.tpl"}
{if !($smarty.session.Roles & $Permissions.SETTINGS_EDIT) && ($SiteSettings.RequireLogin == true || $SiteSettings.DisplayLogin == true) }
    <p class="ui-state-error ui-widget-content ui-corner-all">You do not have permsisions to this page. Contact the site administrator if you feel that you require permission.</p>
{else}
<div id="settings-contain" class="ui-widget">
    <h2>{$Title}</h2>
    <hr/>
    <div id="help" class="ui-corner-all ui-widget ui-widget-content">
        <h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
        <p>These are site-wide settings that you may modify to customize/configure KnowIT.</p>
    </div>

    <div id="settings_tabs">
        <ul>
            <li><a href="#general">General</a></li>
            <li><a href="#customize">Customize</a></li>
            <li><a href="#ldap">LDAP</a></li>
        </ul>
        <div id="customize">
            <form id="customize_settings_form" action="{$smarty.server.PHP_SELF}" method="post" enctype="multipart/form-data">
                <input type="hidden" name="action" value="SaveCustomizeSettings" />
                <table id="customize_settings_table" class="ui-widget ui-widget-content ui-corner-all" width="100%">
                    <thead>
                        <tr class="ui-widget-header">
                            <th width="30%">Setting Name</th>
                            <th>Value</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td><label>Default Theme</label><p>The theme used if the client's browser has no theme cookie set.</p></td>
                            <td>{html_options name=DefaultTheme options=$ThemeOptions selected=$SiteSettings.DefaultTheme}</td>
                        </tr>
                        <tr>
                            <td><label>Login Dialog Verbiage</label><p>This verbiage is displayed on the login dialog box when a user opens the login form. This can be useful to tell the user what username to type in (in the case of LDAP integration where there could be different login formats).</p></td>
                            <td><textarea class="ui-text ui-widget-content ui-corner-all" name="LoginVerbiage" rows="4" cols="50">{$SiteSettings.LoginVerbiage}</textarea></td>
                        <tr>
                            <td colspan="2">
                                <button type="submit" class="ui-button ui-corner-all ui-state-default">Save Customize Settings</button>
                            </td>
                        </tr>
                    </tbody>
                </table>
            </form>
        </div>
        <div id="general">
            <form id="general_settings_form" action="{$smarty.server.PHP_SELF}" method="post">
                <input type="hidden" name="action" value="SaveGeneralSettings" />
                <table id="general_settings_table" class="ui-widget ui-widget-content ui-corner-all" width="100%">
                    <thead>
                        <tr class="ui-widget-header">
                            <th width="30%">Setting Name</th>
                            <th>Value</th>
                        </tr>
                    </thead>
                    <tbody>
                        <tr>
                            <td><label>Display Login?</label><p><strong>Important:</strong> Make sure you've created an administrator account with full privileges <em>before</em> you enable this. If you do not, you will end up locking yourself out.</p></td>
                            <td><input name="DisplayLogin" type="checkbox" {if $Settings.DisplayLogin==true}checked="checked"{/if} /></td>
                        </tr>
                        <tr>
                            <td><label>Require Login?</label><p><strong>Important:</strong> Make sure you've created an administrator account with full privileges <em>before</em> you enable this. If you do not, you will end up locking yourself out.</p></td>
                            <td><input name="RequireLogin" type="checkbox" {if $Settings.RequireLogin==true}checked="checked"{/if} /></td>
                        </tr>
                        <tr>
                            <td colspan="2"><button type="submit" class="ui-button ui-corner-all ui-state-default">Save General Settings</button></td>
                        </tr>
                    </tbody>
                </table>
            </form>
        </div>

        <div id="ldap">
            <form id="ldap_settings_form" action="{$smarty.server.PHP_SELF}" method="post" onSubmit="return validateLDAPSettings(this);">
            <input type="hidden" name="action" value="SaveLDAPSettings" />
            <table id="ldap_settings_table" class="ui-widget ui-widget-content ui-corner-all" width="100%">
                <thead>
                    <tr class="ui-widget-header">
                        <th width="30%">Setting Name</th>
                        <th>Value</th>
                    </tr>
                </thead>
                <tbody>
                    <tr>
                        <td><label>Use LDAP?</label><p>Use LDAP as a user directory. <em>This does not replace the application's own user directory, it simply supplements it.</em></p></td>
                        <td><input type="checkbox" name="UseLDAP" {if $Settings.UseLDAP==true}checked="checked"{/if} /></td>
                    </tr>
                    <tr>
                        <td><label>LDAP Server</label><p>The LDAP server address (DNS or IP)</p></td>
                        <td><input id="LDAPServer" size="50" class="ui-text ui-widget-content ui-corner-all" type="text" name="LDAPServer" value="{$Settings.LDAPServer}" /></td>
                    </tr>
                    <tr>
                        <td><label>LDAP Port</label><p>The LDAP port to connect on. <em>Default is 389</em></p></td>
                        <td><input id="LDAPPort" size="10" class="ui-text ui-widget-content ui-corner-all" type="text" name="LDAPPort" value="{$Settings.LDAPPort|default:389}" /></td>
                    </tr>
                    <tr>
                        <td><label>Base DN</label><p>The root at which to begin searching for matches.</p></td>
                        <td><input id="BaseDN" size="50" class="ui-text ui-widget-content ui-corner-all" type="text" name="BaseDN" value="{$Settings.BaseDN}" /></td>
                    </tr>
                    <tr>
                        <td><label>Search Attribute</label><p>The LDAP attribute which KnowIT will consider the username.</p></td>
                        <td><input id="SearchAttribute" size="50" class="ui-text ui-widget-content ui-corner-all" type="text" name="SearchAttribute" value="{$Settings.SearchAttribute|default:userPrincipalName}" /></td>
                    </tr>
                    <tr>
                        <td><label>Bind Anonymously?</label><p>Enable's anonymous LDAP binding. <strong>Note:</strong> This is not compatible with Active Directory 2003 or higher.</p></td>
                        <td><input id="AnonymousBind" type="checkbox" name="BindAnonymously" {if $BindAnonymously==true}checked="checked"{/if} /></td>
                    </tr>
                    <tr>
                        <td><label>Bind User DN</label><p>The full DN of the user used to bind to LDAP and perform searches.</p></td>
                        <td><input id="BindUserDN" size="50" class="ui-text ui-widget-content ui-corner-all" type="text" name="BindUserDN" value="{$Settings.BindUserDN}" /></td>
                    </tr>
                    <tr>
                        <td><label>Bind User Password</label><p>The password of the bind user.</p></td>
                        <td><input id="BindUserPassword" size="50" class="ui-text ui-widget-content ui-corner-all" type="password" name="BindUserPassword" value="{$Settings.BindUserPassword}" /></td>
                    </tr>
                    <tr>
                        <td><label>Bind User Password (Confirm)</label></td>
                        <td><input id="BindUserPasswordConfirm" size="50" class="ui-text ui-widget-content ui-corner-all" type="password" name="BindUserPasswordConfirm" value="{$Settings.BindUserPassword}" /></td>
                    </tr>
                    <tr>
                        <td><label>Test</label><br/><img class="ajax_loader" /><p>Perform bind and login tests here.</p></td>
                        <td>
                            <button type="button" class="ui-button ui-state-default ui-corner-all" onClick="ldapBindTest()">Test Bind</button><br/>Result:<span id="ldap_bind_test_result"></span><br/>
                            <label for="ldapTestUsername">Username: </label><input id="ldapTestUsername" type="text" size="40" name="ldapTestUsername" class="ui-text ui-widget-content ui-corner-all" /><br/>
                            <label for="ldapTestPassword">Password: </label><input id="ldapTestPassword" type="password" size="40" name="ldapTestPassword" class="ui-text ui-widget-content ui-corner-all" /><br/>
                            <button type="button" class="ui-button ui-state-default ui-corner-all" onClick="ldapLoginTest()">Test Login</button><br/>Result: <span id="ldap_login_test_result"></span></td>
                    <tr><td colspan="2"><button type="submit" class="ui-button ui-state-default ui-corner-all">Save LDAP Settings</button></td></tr>
                </tbody>
            </table>
            </form>
        </div>
    </div>
</div>
{/if}
{include file="footer.tpl"}