{include file="header.tpl"}
{if $smarty.session.Roles & $Permissions.SERVER_EDIT || $SiteSettings.DisplayLogin == false}
<div id="edit_general_info_dialog" title="Edit General Info">
<form id="edit_general_form" action="{$smarty.server.PHP_SELF}?DeviceID={$DeviceData.DeviceID}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="SaveGeneral" />
        <input type="hidden" name="DeviceID" value="{$DeviceData.DeviceID}" />
        <table width="100%" class="ui-widget ui-widget-content">
        <tr>
            <td><label for="DeviceName">Device Name</label></td>
            <td><input type="text" name="DeviceName" value="{$DeviceData.Name}" class="text ui-widget-content ui-corner-all" /></td>
        </tr>
        <tr>
            <td><label for="Description">Description</label></td>
            <td><input type="text" name="Description" value="{$DeviceData.Description}" size="50" class="text ui-widget-content ui-corner-all" /></td>
        </tr>
        <tr>
            <td><label for="Notes">Notes</label></td>
            <td><textarea rows="6" cols="49" name="Notes" class="textarea ui-widget-content ui-corner-all">{$DeviceData.Notes}</textarea></td>
        </tr>
        </table>
    </fieldset>
</form>
</div>

<div id="edit_custom_fields_dialog" title="Edit Custom Fields">
<form id="edit_custom_fields_form" action="{$smarty.server.PHP_SELF}?DeviceID={$DeviceData.DeviceID}" method="post">
    <fieldset>
        <input type="hidden" name="action" value="SaveCustomFields" />
        <input type="hidden" name="DeviceID" value="{$DeviceData.DeviceID}" />
        <table width="100%" class="ui-widget ui-widget-content">
        {foreach from=$CustomFields key=k item=v}
            <tr>
            <td><label for="CustomFields[]">{$v.FieldName}</label><input type="hidden" name="CustomFieldID[]" value="{$v.CustomFieldID}" /></td>
            <td>
            {if $CustomFields.$k.FieldType == 'combo'}
                <select class="text ui-widget-content ui-corner-all" name="CustomFieldValues_{$v.CustomFieldID}">
                {foreach from=$CustomFields.$k.PossibleValues key=a item=b}
                    <option value="{$b.Value}" {if $b.Selected == true}selected="selected"{/if}>{$b.Value}</option>
                {/foreach}
                </select>
            {elseif $CustomFields.$k.FieldType == 'multiselect'}
                <select class="text ui-widget-content ui-corner-all" name="CustomFieldValues_{$v.CustomFieldID}[]" multiple="multiple">
                {foreach from=$CustomFields.$k.PossibleValues key=a item=b}
                    <option value="{$b.Value}" {if $b.Selected == true}selected="selected"{/if}>{$b.Value}</option>
                {/foreach}
                </select><br/>
                Ctrl + Click to select multiple
            {else}
                <input type="text" size="40" name="CustomFieldValues_{$v.CustomFieldID}" value="{$CustomDeviceFields.$k.Value}" class="text ui-widget-content ui-corner-all" />
            {/if}
            </td>
            <td><input type="checkbox" name="DeletedCustomField_{$v.CustomFieldID}" />Delete</td>
            </tr>
        {/foreach}
        </table>
    </fieldset>
</form>
</div>
{/if}

{if $Stale > 30}
    <div id="stale_warning" class="ui-state-error ui-corner-all"><span class="ui-icon ui-icon-alert" style="float:left">&nbsp;</span><strong>Stale Information Warning</strong><br/>
    <span class="ui-state-error-text">Information on this page is more than 30 days old</span>
    </div>
<br/>
{/if}

<div id="device-details-contain" class="ui-widget">
<a class="ui-state-default" style="border: 0" href="DeviceList.php"><span class="ui-icon ui-icon-circle-arrow-w" style="float:left;margin-right:4px;">&nbsp;</span>Back to Device List</a>
<h2>{$DeviceData.Name}</h2>
<em>Last Updated: {$DeviceData.UpdateTimestamp}</em>
<p>
{if $smarty.session.Roles & $Permissions.SERVER_EDIT || $SiteSettings.DisplayLogin == false}<button id="edit_general_info" class="ui-button ui-state-default ui-corner-all">Edit General Information</button><br/>{/if}
<strong>Site:</strong> {$DeviceData.SiteName}<br/>
<strong>Description:</strong> {$DeviceData.Description}<br/>
<strong>Notes:</strong><br/>
{$DeviceData.Notes}<br/>
<strong>IP Address(es):</strong> {$DeviceIPAddresses}
</p>

<h3>Custom Fields</h3>
{if $smarty.session.Roles & $Permissions.SERVER_EDIT || $SiteSettings.DisplayLogin == false}<button id="edit_custom_fields" class="ui-button ui-state-default ui-corner-all">Edit Custom Fields</button>{/if}
<table id="custom_field_values" class="values_table ui-widget ui-widget-content" width="100%">
    <thead>
        <tr class="ui-widget-header">
            <th width="30%">Field Name</th>
            <th width="70%">Value</th>
        </tr>
    </thead>
    <tbody>
    {if $CustomDeviceFields|@count > 0 }
{foreach from=$CustomDeviceFields key=k item=v}
    <tr>
        <td>{$v.FieldName}</td>
        <td>{$v.Value}<br/>
            {if $v.DaysOld > 30}
                <div id="validate_{$v.CustomFieldID}" class="ui-state-error ui-corner-all"><span class="ui-icon ui-icon-alert" style="float:left">&nbsp;</span><strong>Requires Validation</strong><br/>
                <p class="ui-state-error-text">This field needs to be validated since the last validation was on {$v.LastValidation}. If the value is valid, press the &quot;Validate&quot; button. If it needs to be modified,
press the &quot;Edit Custom Fields&quot; button and change the value. Once the new information is saved, the validation timer will reset.</p>
                <button class="ui-button ui-state-default ui-corner-all" onClick="validateCustomField({$v.CustomFieldID},{$DeviceData.DeviceID})">Validate</button>
            {/if}
        </td>
    </tr>
{/foreach}
    {else}
    <tr><td colspan="2">There are no custom fields for this device. Hey, you should add some! That'd be a good idea, yeah?</td></tr>
    {/if}
    </tbody>
</table>

{assign var='i' value='0'}
{foreach from=$Collectors key=k item=v}
    <h3>{$k}</h3>
    <table id="collector_values{$i}" class="values_table ui-widget ui-widget-content" width="100%">
    <thead>
        <tr class="ui-widget-header">
            <th width="30%">Field Name</th>
            <th width="70%">Value</th>
        </tr>
    </thead>
    <tbody>
        {foreach from=$v.0 key=f item=val}
        <tr>
            <td>{$val.FieldName}</td>
            <td>{$val.FieldValue}</td>
        </tr>
        {/foreach}
    </tbody>
    </table>
{assign var='i' value=$i+1}
{/foreach}
</div>

{include file="footer.tpl"}