{include file="header.tpl"}

{if $smarty.session.Roles & $Permissions.USERS_ADD || $SiteSettings.DisplayLogin == false}
<div id="add_user_dialog" title="Add New User">
<form id="add_user_form" action="{$smarty.server.PHP_SELF}" method="post">
<input type="hidden" name="action" value="AddUser" />
<table class="ui-widget ui-widget-contet ui-corner-all">
    <tbody>
        <tr>
            <td><label>Username</label></td>
            <td><input id="addUser_Username" class="ui-text ui-widget-content ui-corner-all" type="text" size="50" name="Username" /></td>
        </tr>
        <tr>
            <td><label>Use LDAP</label></td>
            <td><input id="addUser_LDAP" type="checkbox" name="LDAP" /></td>
        </tr>
        <tr>
            <td><label>Password</label></td>
            <td><input id="addUser_Password" class="ui-text ui-widget-content ui-corner-all" type="password" size="50" name="Password" /></td>
        </tr>
        <tr>
            <td><label>Confirm Password</label></td>
            <td><input id="addUser_PasswordConfirm" class="ui-text ui-widget-content ui-corner-all" type="password" size="50" name="PasswordConfirm" /></td>
        </tr>
        <tr>
            <td><label>Permissions</label></td>
            <td>
                <select name="Permissions[]" multiple="multiple" size="10">
                {foreach from=$Permissions key=k item=v}
                    <option value="{$v}">{$k}</option>
                {/foreach}
                </select>
                <br/>Ctrl + click to select multiple.
            </td>
        </tr>
    </tbody>
</table>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.USERS_EDIT || $SiteSettings.DisplayLogin == false}
<div id="edit_user_dialog" title="Edit Existing User">
<form id="edit_user_form" action="{$smarty.server.PHP_SELF}" method="post">
<input type="hidden" name="action" value="EditUser" />
<table class="ui-widget ui-widget-contet ui-corner-all">
    <tbody>
        <tr>
            <td><label>Username</label></td>
            <td><input id="editUser_Username" class="ui-text ui-widget-content ui-corner-all" type="text" size="50" name="Username" /></td>
        </tr>
        <tr>
            <td><label>Use LDAP</label></td>
            <td><input id="editUser_LDAP" type="checkbox" name="LDAP" /></td>
        </tr>
        <tr>
            <td><label>Password</label></td>
            <td><input id="editUser_Password" class="ui-text ui-widget-content ui-corner-all" type="password" size="50" name="Password" /></td>
        </tr>
        <tr>
            <td><label>Confirm Password</label></td>
            <td><input id="editUser_PasswordConfirm" class="ui-text ui-widget-content ui-corner-all" type="password" size="50" name="PasswordConfirm" /></td>
        </tr>
        <tr>
            <td><label>Permissions</label></td>
            <td>
                <select id="editUser_Permissions" name="Permissions[]" multiple="multiple" size="10">
                {foreach from=$Permissions key=k item=v}
                    <option value="{$v}">{$k}</option>
                {/foreach}
                </select>
                <br/>Ctrl + click to select multiple.
            </td>
        </tr>
    </tbody>
</table>
</form>
</div>
{/if}

{if $smarty.session.Roles & $Permissions.USERS_REMOVE || $SiteSettings.DisplayLogin == false}
<div id="delete_user_dialog" title="Are you sure?">
<form id="delete_user_form" action="{$smarty.server.PHP_SELF}" method="post">
<input type="hidden" name="Username" id="deleteUser_Username" />
<input type="hidden" name="action" value="RemoveUser" />
</form>
<p>This operation cannot be un-done. Are you sure you want to remove this user?</p>
</div>
{/if}

<h2>{$Title}</h2>
<hr/>
<div id="help" class="ui-corner-all ui-widget ui-widget-content">
    <h3 class="ui-widget-header ui-corner-all"><span class="ui-icon ui-icon-help">&nbsp;</span>Help</h3>
    <p>These are the users allowed to access the KnowIT application. If you have enabled LDAP, the KnowIT
user database then becomes a basic roles database, and does not perform password authentication. If you have disabled
logins altogether, this database has no purpose.</p>
</div>

<div id="users-contain" >
<center>
    <table id="users_table" class="ui-widget ui-widget-content ui-corner-all" width="50%">
        <thead>
            <tr class="ui-widget-header">
                <th>Username</th>
                <th>LDAP</th>
                {if $smarty.session.Roles & ($Permissions.USERS_REMOVE | $Permissions.USERS_EDIT) || $SiteSettings.DisplayLogin == false}
                    {assign var='colspan' value=3}
                    <th>Edit/Remove</th>
                {else}
                    {assign var='colspan' value=2}
                {/if}
            </tr>
        </thead>
        <tbody>
            {section name=user loop=$UsersList}
                <tr>
                    <td>{$UsersList[user].Username}</td>
                    <td>{if $UsersList[user].LDAP == 1}Yes{else}No{/if}</td>
                    {if $smarty.session.Roles & ($Permissions.USERS_REMOVE | $Permissions.USERS_EDIT) || $SiteSettings.DisplayLogin == false}
                    <td>
                        {if $smarty.session.Roles & $Permissions.USERS_EDIT || $SiteSettings.DisplayLogin == false}
                            <button type="button" class="ui-button ui-corner-all ui-state-default" onClick="editUser('{$UsersList[user].Username}')">Edit</button>
                        {/if}

                        {if $smarty.session.Roles & $Permissions.USERS_REMOVE || $SiteSettings.DisplayLogin == false}
                            <button type="button" class="ui-button ui-corner-all ui-state-default" onClick="removeUser('{$UsersList[user].Username}')">Remove</button>
                        {/if}
                    </td>
                    {/if}
                </tr>
            {sectionelse}
                <tr><td colspan="{$colspan}">No users defined.</td></tr>
            {/section}
        </tbody>
    </table>
    {if $smarty.session.Roles & $Permissions.USERS_ADD || $SiteSettings.DisplayLogin == false}
        <button class="ui-button ui-state-default ui-corner-all" type="button" onClick="$('#add_user_dialog').dialog('open')">Add New User</button>
    {/if}
</center>
</div>

{include file="footer.tpl"}